!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1741) = coupl(nGC_1243)*dZee_QED2
      coupl(nGC_1748) = coupl(nGC_800)*dsw_QED2 + coupl(nGC_801)*dZee_QED2 +   &
                        coupl(nGC_802)*da_QED2
      coupl(nGC_1871) = -cima*dMB_QCD2
      coupl(nGC_1873) = cima*dMW2_QED2
      coupl(nGC_1730) = coupl(nGC_903)*dyup_QED1_QCD2
      coupl(nGC_1738) = coupl(nGC_1252)*dyc_QED1_QCD2
      coupl(nGC_1906) = coupl(nGC_175)*dZZA_QED2/2d0
      coupl(nGC_1685) = -cima*dys_QED3
      coupl(nGC_1658) = coupl(nGC_910)*dsw_QED2 + coupl(nGC_911)*dZee_QED2 +   &
                        coupl(nGC_912)*da_QED2
      coupl(nGC_1659) = coupl(nGC_937)*dsw_QED2 + coupl(nGC_938)*dZee_QED2 +   &
                        coupl(nGC_939)*da_QED2
      coupl(nGC_1652) = coupl(nGC_806)*dsw_QED2 + coupl(nGC_807)*dZee_QED2 +   &
                        coupl(nGC_808)*da_QED2
      coupl(nGC_1729) = coupl(nGC_903)*dyup_QED3 + coupl(nGC_904)*da_QED2
      coupl(nGC_TS_GC_212_Hl) = -coupl(nGC_212)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2071) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_2072) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_2075) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_2076) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_2253) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_2254) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1719) = coupl(nGC_363)*dytau_QED3 + coupl(nGC_365)*da_QED2
      coupl(nGC_1868) = -cima*dMS_QED2
      coupl(nGC_1711) = -cima*dye_QED3
      coupl(nGC_1713) = -cima*dytau_QED3
      coupl(nGC_1712) = -cima*dym_QED3
      coupl(nGC_1668) = coupl(nGC_349)*da_QED2 + coupl(nGC_351)*dvevs_QED1 +   &
                        coupl(nGC_353)*dvev_QED1 + coupl(nGC_355)*dl2_QED4 +   &
                        coupl(nGC_357)*dl3_QED4 + coupl(nGC_359)*dl1_QED4
      coupl(nGC_TS_GC_208_Hl) = -coupl(nGC_208)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1660) = coupl(nGC_1086)*dcw_QED2 + coupl(nGC_1087)*dvev_QED1 + &
                        coupl(nGC_1088)*dZee_QED2
      coupl(nGC_2068) = coupl(nGC_1719) + coupl(nGC_223)*dZHh_QED2/2d0 + coupl(&
                        nGC_223)*dZtauMinusL_QED2/2d0 + coupl(nGC_223)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_224)*dZHlHh_QED2/2d0
      coupl(nGC_2248) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_2247) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_2244) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_2242) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_2243) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_2241) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_227_Hh) = -coupl(nGC_227)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1870) = -cima*dMB_QED2
      coupl(nGC_1872) = cima*dMZ2_QED2
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1674) = coupl(nGC_1242)*dZee_QED2
      coupl(nGC_1672) = coupl(nGC_1248)*dZee_QED2
      coupl(nGC_1678) = coupl(nGC_933)*dZgs_QCD2
      coupl(nGC_2013) = coupl(nGC_147)*dZZA_QED2/2d0
      coupl(nGC_2010) = coupl(nGC_145)*dZZA_QED2/2d0
      coupl(nGC_2014) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_2239) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_2232) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_2231) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_2230) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_2236) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_2235) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_TS_GC_203_Hh) = -coupl(nGC_203)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1865) = -cima*dMT_QCD2
      coupl(nGC_TS_GC_204_Hl) = -coupl(nGC_204)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1861) = -cima*dMU_QCD2
      coupl(nGC_1955) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_2137) = coupl(nGC_1685) + coupl(nGC_213)*dZcL_QED2/2d0 + coupl(&
                        nGC_213)*dZsR_QED2/2d0
      coupl(nGC_2229) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_2220) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_2224) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_2225) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_2226) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_TS_GC_92_Hl) = -coupl(nGC_92)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1857) = -cima*dME_QED2
      coupl(nGC_1854) = -cima*dMHL2_QED2
      coupl(nGC_1855) = -cima*dMHH2_QED2
      coupl(nGC_1858) = -cima*dMM_QED2
      coupl(nGC_1859) = -cima*dMTA_QED2
      coupl(nGC_1926) = coupl(nGC_1712) + coupl(nGC_209)*dZmuMinusR_QED2/2d0 + &
                        coupl(nGC_209)*dZnu_muL_QED2/2d0
      coupl(nGC_TS_GC_184_Hh) = -coupl(nGC_184)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2102) = coupl(nGC_177)*dZZA_QED2/2d0
      coupl(nGC_2216) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_2211) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_2213) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2219) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_TS_GC_164_Hl) = -coupl(nGC_164)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2027) = coupl(nGC_99)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_2025) = coupl(nGC_151)*dZZA_QED2/2d0
      coupl(nGC_2202) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_2203) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_2206) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_2207) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_2209) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_1638) = -cima*dl1_QED4
      coupl(nGC_1639) = coupl(nGC_791)*dl1_QED4
      coupl(nGC_1632) = coupl(nGC_796)*dcw_QED2 + coupl(nGC_797)*dZee_QED2
      coupl(nGC_1633) = coupl(nGC_1247)*dZee_QED2
      coupl(nGC_1630) = coupl(nGC_1024)*dcw_QED2 + coupl(nGC_1025)*dsw_QED2 +  &
                        coupl(nGC_1026)*dZee_QED2
      coupl(nGC_1631) = coupl(nGC_798)*dcw_QED2 + coupl(nGC_799)*dZee_QED2
      coupl(nGC_1636) = coupl(nGC_1052)*dcw_QED2 + coupl(nGC_1053)*dsw_QED2 +  &
                        coupl(nGC_1054)*dZee_QED2 + coupl(nGC_1055)*da_QED2
      coupl(nGC_1634) = coupl(nGC_1033)*dcw_QED2 + coupl(nGC_1034)*dsw_QED2 +  &
                        coupl(nGC_1035)*dZee_QED2
      coupl(nGC_1434) = coupl(nGC_19)**2d0*coupl(nGC_219)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1431) = coupl(nGC_19)**2d0*coupl(nGC_215)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1949) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_1941) = coupl(nGC_1652) + coupl(nGC_81)*dZHh_QED2 + coupl(     &
                        nGC_93)*dZHlHh_QED2
      coupl(nGC_1947) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_1869) = -cima*dMS_QCD2
      coupl(nGC_1867) = -cima*dMD_QCD2
      coupl(nGC_1866) = -cima*dMD_QED2
      coupl(nGC_1864) = -cima*dMT_QED2
      coupl(nGC_1863) = -cima*dMC_QCD2
      coupl(nGC_1862) = -cima*dMC_QED2
      coupl(nGC_1860) = -cima*dMU_QED2
      coupl(nGC_TS_GC_199_Hh) = -coupl(nGC_199)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1308) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1306) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1302) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2163) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_2165) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_2164) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_190_Hl) = -coupl(nGC_190)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1701) = coupl(nGC_1122)*dys_QED3 + coupl(nGC_1123)*da_QED2
      coupl(nGC_1791) = coupl(nGC_982)*dcw_QED2 + coupl(nGC_983)*dsw_QED2 +    &
                        coupl(nGC_984)*dZee_QED2
      coupl(nGC_1790) = coupl(nGC_966)*dcw_QED2 + coupl(nGC_967)*dsw_QED2 +    &
                        coupl(nGC_968)*dZee_QED2
      coupl(nGC_1792) = coupl(nGC_930)*dcw_QED2 + coupl(nGC_931)*dsw_QED2 +    &
                        coupl(nGC_932)*dZee_QED2
      coupl(nGC_1577) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_193)**2d0  &
                         + coupl(nGC_197)**2d0 + coupl(nGC_201)**2d0 + coupl(  &
                        nGC_213)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_225)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1576) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_193)**2d0 &
                         - coupl(nGC_197)**2d0 - coupl(nGC_201)**2d0 - coupl(  &
                        nGC_213)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_225)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1444) = coupl(nGC_19)**2d0*coupl(nGC_196)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1440) = 3d0*(4d0*Nc*cMB*coupl(nGC_196)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_200)**3d0 + 4d0*Nc*cMD*coupl(nGC_204)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_216)**3d0 + 4d0*Nc*cMT*coupl(nGC_220)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_228)**3d0 + 4d0*cME*coupl(  &
                        nGC_208)**3d0 + 4d0*cMM*coupl(nGC_212)**3d0 + 4d0*cMTA*&
                        coupl(nGC_224)**3d0 + cima*coupl(nGC_151)*coupl(nGC_177&
                        ) + 2d0*cima*coupl(nGC_164)*coupl(nGC_96))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2171) = coupl(nGC_1729) + coupl(nGC_227)*dZHh_QED2/2d0 + coupl(&
                        nGC_227)*dZuL_QED2/2d0 + coupl(nGC_227)*dZuR_QED2/2d0  &
                         + coupl(nGC_228)*dZHlHh_QED2/2d0
      coupl(nGC_2172) = coupl(nGC_1730) + coupl(nGC_227)*dZuL_QCD2/2d0 + coupl(&
                        nGC_227)*dZuR_QCD2/2d0
      coupl(nGC_2174) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_TS_GC_216_Hl) = -coupl(nGC_216)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1782) = coupl(nGC_1254)*dcw_QED2 + coupl(nGC_1255)*dsw_QED2 +  &
                        coupl(nGC_1256)*dZee_QED2
      coupl(nGC_1783) = coupl(nGC_1032)*dZee_QED2
      coupl(nGC_1786) = coupl(nGC_960)*dsw_QED2 + coupl(nGC_961)*dZee_QED2
      coupl(nGC_1787) = coupl(nGC_993)*dcw_QED2 + coupl(nGC_994)*dsw_QED2 +    &
                        coupl(nGC_995)*dZee_QED2
      coupl(nGC_1785) = coupl(nGC_387)*dZgs_QCD2
      coupl(nGC_1788) = coupl(nGC_954)*dcw_QED2 + coupl(nGC_955)*dsw_QED2 +    &
                        coupl(nGC_956)*dZee_QED2
      coupl(nGC_1789) = coupl(nGC_940)*dcw_QED2 + coupl(nGC_941)*dsw_QED2 +    &
                        coupl(nGC_942)*dZee_QED2
      coupl(nGC_1564) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0  &
                         + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_220)**2d0 +   &
                        20d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217)*  &
                        coupl(nGC_220) + 10d0*Nc*coupl(nGC_196)**2d0*coupl(    &
                        nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_200)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_216)**2d0 + 20d0*Nc*coupl(nGC_197)*coupl(nGC_200)* &
                        coupl(nGC_213)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_200  &
                        )**2d0*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)**  &
                        2d0*coupl(nGC_204)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0* &
                        coupl(nGC_228)**2d0 + 20d0*Nc*coupl(nGC_201)*coupl(    &
                        nGC_204)*coupl(nGC_225)*coupl(nGC_228) + 10d0*Nc*coupl(&
                        nGC_204)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(     &
                        nGC_213)**2d0*coupl(nGC_216)**2d0 + 10d0*Nc*coupl(     &
                        nGC_217)**2d0*coupl(nGC_220)**2d0 + 10d0*Nc*coupl(     &
                        nGC_225)**2d0*coupl(nGC_228)**2d0 + 12d0*coupl(nGC_120 &
                        )**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_151) + 10d0*coupl&
                        (nGC_205)**2d0*coupl(nGC_208)**2d0 + 10d0*coupl(nGC_209&
                        )**2d0*coupl(nGC_212)**2d0 + 10d0*coupl(nGC_221)**2d0* &
                        coupl(nGC_224)**2d0 + 12d0*coupl(nGC_28)**2d0 + 6d0*   &
                        coupl(nGC_71)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_1962) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZdL_QED2/2d0 + coupl(nGC_99)*dZuL_QED2/ &
                        2d0
      coupl(nGC_1963) = coupl(nGC_99)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_1960) = coupl(nGC_122)*dZdR_QCD2
      coupl(nGC_1961) = coupl(nGC_1711) + coupl(nGC_205)*dZeMinusR_QED2/2d0 +  &
                        coupl(nGC_205)*dZnu_eL_QED2/2d0
      coupl(nGC_1966) = coupl(nGC_142)*dZZA_QED2/2d0
      coupl(nGC_1968) = coupl(nGC_144)*dZHh_QED2 + coupl(nGC_148)*dZHlHh_QED2  &
                         + coupl(nGC_1636)
      coupl(nGC_1361) = coupl(nGC_19)**2d0*coupl(nGC_225)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1362) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_205)/(4d0*pi** &
                        2d0)
      coupl(nGC_1363) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)/(4d0*pi** &
                        2d0)
      coupl(nGC_1364) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)/(4d0*pi** &
                        2d0)
      coupl(nGC_1366) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_195) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_199) + Nc*coupl(nGC_201)*coupl&
                        (nGC_203) + Nc*coupl(nGC_213)*coupl(nGC_215) - Nc*coupl&
                        (nGC_217)*coupl(nGC_219) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_227) + coupl(nGC_205)*coupl(nGC_207) + coupl(      &
                        nGC_209)*coupl(nGC_211) + coupl(nGC_221)*coupl(nGC_223 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1367) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_196) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_200) + Nc*coupl(nGC_201)*coupl&
                        (nGC_204) + Nc*coupl(nGC_213)*coupl(nGC_216) - Nc*coupl&
                        (nGC_217)*coupl(nGC_220) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_228) + coupl(nGC_205)*coupl(nGC_208) + coupl(      &
                        nGC_209)*coupl(nGC_212) + coupl(nGC_221)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_TS_GC_162_Hh) = -coupl(nGC_162)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2099) = coupl(nGC_123)*dZuR_QCD2
      coupl(nGC_2098) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZuR_QED2 &
                         + coupl(nGC_1788) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2092) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_eL_QED2 + coupl(nGC_1791)
      coupl(nGC_2097) = coupl(nGC_126)*dZuL_QCD2
      coupl(nGC_2096) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZuL_QED2 &
                         + coupl(nGC_1787) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2094) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZtauMinusR_QED2 + coupl(nGC_1792) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2149) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZcL_QED2 &
                         + coupl(nGC_1787) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2145) = coupl(nGC_1871) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_2147) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_2146) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_2143) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_2142) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_1721) = coupl(nGC_1045)*dym_QED3 + coupl(nGC_1046)*da_QED2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_219_Hh) = -coupl(nGC_219)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1433) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -    &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_219) - coupl(nGC_218)**2d0*&
                        coupl(nGC_219) - coupl(nGC_219)**3d0 - coupl(nGC_219)* &
                        coupl(nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1725) = coupl(nGC_1202)*dyc_QED3
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_192_Hh) = -coupl(nGC_192)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1778) = coupl(nGC_1089)*dcw_QED2 + coupl(nGC_1090)*dsw_QED2 +  &
                        coupl(nGC_1091)*dZee_QED2 + coupl(nGC_1092)*da_QED2
      coupl(nGC_1777) = coupl(nGC_1067)*dcw_QED2 + coupl(nGC_1068)*dsw_QED2 +  &
                        coupl(nGC_1069)*dZee_QED2 + coupl(nGC_1070)*da_QED2
      coupl(nGC_1776) = coupl(nGC_1056)*dcw_QED2 + coupl(nGC_1057)*dsw_QED2 +  &
                        coupl(nGC_1058)*dZee_QED2 + coupl(nGC_1059)*da_QED2
      coupl(nGC_1775) = coupl(nGC_1039)*dcw_QED2 + coupl(nGC_1040)*dsw_QED2 +  &
                        coupl(nGC_1041)*dZee_QED2
      coupl(nGC_1774) = coupl(nGC_827)*dcw_QED2 + coupl(nGC_828)*dsw_QED2 +    &
                        coupl(nGC_829)*dZee_QED2
      coupl(nGC_1773) = coupl(nGC_1249)*dcw_QED2 + coupl(nGC_1250)*dsw_QED2 +  &
                        coupl(nGC_1251)*dZee_QED2
      coupl(nGC_1772) = coupl(nGC_1071)*dcw_QED2 + coupl(nGC_1072)*dvev_QED1 + &
                        coupl(nGC_1073)*dZee_QED2
      coupl(nGC_1771) = coupl(nGC_979)*dcw_QED2 + coupl(nGC_980)*dsw_QED2 +    &
                        coupl(nGC_981)*dZee_QED2
      coupl(nGC_1519) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_122)**2d0 - coupl(nGC_213)**2d0 - coupl(nGC_214)*  &
                        coupl(nGC_623) - coupl(nGC_215)**2d0 - coupl(nGC_216)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1518) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_125)**2d0 - coupl(nGC_197)**2d0 - coupl(nGC_214)*  &
                        coupl(nGC_623) - coupl(nGC_215)**2d0 - coupl(nGC_216)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1689) = -cima*dyb_QED3
      coupl(nGC_1688) = cima*dyc_QED1_QCD2
      coupl(nGC_1683) = cima*dyup_QED3
      coupl(nGC_1682) = -cima*dydo_QED1_QCD2
      coupl(nGC_1681) = -cima*dydo_QED3
      coupl(nGC_1680) = coupl(nGC_905)*dZgs_QCD2
      coupl(nGC_1687) = cima*dyc_QED3
      coupl(nGC_1686) = -cima*dys_QED1_QCD2
      coupl(nGC_1684) = cima*dyup_QED1_QCD2
      coupl(nGC_1999) = coupl(nGC_1785) + coupl(nGC_19)*dZcL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1998) = coupl(nGC_99)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_1997) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZbL_QED2/2d0 + coupl(nGC_99)*dZtL_QED2/ &
                        2d0
      coupl(nGC_1996) = coupl(nGC_1721) + coupl(nGC_211)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_212)*dZHl_QED2/2d0 + coupl(nGC_212)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_212)*dZmuMinusR_QED2/  &
                        2d0
      coupl(nGC_1995) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_1672)
      coupl(nGC_1991) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1355) = coupl(nGC_19)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1354) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(  &
                        nGC_198)*coupl(nGC_213)*coupl(nGC_214) - coupl(nGC_199 &
                        )*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl(&
                        nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_1357) = coupl(nGC_19)**2d0*coupl(nGC_213)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1424) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_539)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1351) = coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1422) = coupl(nGC_19)**2d0*coupl(nGC_203)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1421) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_202)**2d0* &
                        coupl(nGC_203) - coupl(nGC_203)**3d0 - coupl(nGC_203)* &
                        coupl(nGC_204)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1359) = coupl(nGC_19)**2d0*coupl(nGC_201)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1429) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_215)**3d0  &
                         - coupl(nGC_215)*coupl(nGC_216)**2d0 - coupl(nGC_215)*&
                        coupl(nGC_623)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1428) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_195) + cMC* &
                        coupl(nGC_199) + cMD*coupl(nGC_203) + cMS*coupl(nGC_215&
                        ) + cMT*coupl(nGC_219) + cMU*coupl(nGC_227))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_2088) = coupl(nGC_142)*dZZ_QED2 + coupl(nGC_1774)
      coupl(nGC_2081) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_2082) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtL_QCD2
      coupl(nGC_2083) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_2084) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtR_QCD2
      coupl(nGC_2085) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_2086) = coupl(nGC_1701) + coupl(nGC_215)*dZHh_QED2/2d0 + coupl(&
                        nGC_215)*dZsL_QED2/2d0 + coupl(nGC_215)*dZsR_QED2/2d0  &
                         + coupl(nGC_216)*dZHlHh_QED2/2d0
      coupl(nGC_TS_GC_200_Hl) = -coupl(nGC_200)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2152) = coupl(nGC_123)*dZcR_QCD2
      coupl(nGC_2150) = coupl(nGC_126)*dZcL_QCD2
      coupl(nGC_2151) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZcR_QED2 &
                         + coupl(nGC_1788) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2156) = coupl(nGC_1785) + coupl(nGC_19)*dZdR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2157) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_2154) = coupl(nGC_1785) + coupl(nGC_19)*dZdL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2155) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_TS_GC_189_Hh) = -coupl(nGC_189)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_189_Hl) = -coupl(nGC_189)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1733) = coupl(nGC_375)*dyt_QED3 + coupl(nGC_377)*da_QED2
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1731) = coupl(nGC_1223)*dyc_QED3 + coupl(nGC_1224)*da_QED2
      coupl(nGC_TS_GC_145_Hh) = -coupl(nGC_145)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1391) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_206) -    &
                        coupl(nGC_206)**2d0*coupl(nGC_539) + 8d0*coupl(nGC_206 &
                        )*coupl(nGC_4)**2d0 - coupl(nGC_207)**2d0*coupl(nGC_539&
                        ) - coupl(nGC_208)**2d0*coupl(nGC_539))/(32d0*pi**2d0)
      coupl(nGC_1390) = coupl(nGC_19)**2d0*coupl(nGC_202)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_223_Hh) = -coupl(nGC_223)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1737) = coupl(nGC_1252)*dyc_QED3 + coupl(nGC_1253)*da_QED2
      coupl(nGC_1460) = coupl(nGC_19)**2d0*coupl(nGC_216)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1395) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_623) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_623) - coupl(nGC_197 &
                        )*coupl(nGC_198)*coupl(nGC_213) - coupl(nGC_214)*coupl(&
                        nGC_215)**2d0 - coupl(nGC_214)*coupl(nGC_216)**2d0 -   &
                        coupl(nGC_214)*coupl(nGC_623)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1464) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(     &
                        nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_96_Hl) = -coupl(nGC_96)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1734) = coupl(nGC_375)*dyt_QED1_QCD2
      coupl(nGC_1905) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1768) = coupl(nGC_972)*dcw_QED2 + coupl(nGC_973)*dsw_QED2 +    &
                        coupl(nGC_974)*dZee_QED2
      coupl(nGC_1769) = coupl(nGC_1021)*dcw_QED2 + coupl(nGC_1022)*dZee_QED2 + &
                        coupl(nGC_1023)*da_QED2
      coupl(nGC_1764) = coupl(nGC_1213)*dsw_QED2 + coupl(nGC_1214)*dZee_QED2
      coupl(nGC_1765) = coupl(nGC_1167)*dcw_QED2 + coupl(nGC_1168)*dsw_QED2 +  &
                        coupl(nGC_1169)*dZee_QED2
      coupl(nGC_1766) = coupl(nGC_1000)*dZee_QED2 + coupl(nGC_1001)*da_QED2 +  &
                        coupl(nGC_998)*dcw_QED2 + coupl(nGC_999)*dsw_QED2
      coupl(nGC_1767) = coupl(nGC_906)*dcw_QED2 + coupl(nGC_907)*dsw_QED2 +    &
                        coupl(nGC_908)*dZee_QED2 + coupl(nGC_909)*da_QED2
      coupl(nGC_1760) = coupl(nGC_1112)*dsw_QED2 + coupl(nGC_1113)*dZee_QED2 + &
                        coupl(nGC_1114)*dvev_QED1 + coupl(nGC_1115)*da_QED2
      coupl(nGC_1761) = coupl(nGC_1124)*dsw_QED2 + coupl(nGC_1125)*dZee_QED2 + &
                        coupl(nGC_1126)*dvev_QED1 + coupl(nGC_1127)*da_QED2
      coupl(nGC_1762) = coupl(nGC_1246)*dZee_QED2
      coupl(nGC_1763) = coupl(nGC_882)*dcw_QED2 + coupl(nGC_883)*dsw_QED2 +    &
                        coupl(nGC_884)*dZee_QED2
      coupl(nGC_TS_GC_191_Hh) = -coupl(nGC_191)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1501) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_222)*coupl(nGC_557) + coupl(nGC_124)*coupl(&
                        nGC_223)**2d0 + coupl(nGC_124)*coupl(nGC_224)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
