!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_2204) = coupl(nGC_1868) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_215_Hh) + coupl&
                        (nGC_TS_GC_216_Hl)
      coupl(nGC_2237) = -coupl(nGC_1875) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_101_Hh) + coupl(nGC_TS_GC_117_Hl)
      coupl(nGC_2234) = coupl(nGC_1867) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_1992) = -coupl(nGC_128)*dZZA_QED2/2d0 - coupl(nGC_1675) - coupl&
                        (nGC_4)*dZA_QED2/2d0
      coupl(nGC_1379) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_587) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_587) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_194)*coupl(&
                        nGC_195)**2d0 - coupl(nGC_194)*coupl(nGC_196)**2d0 -   &
                        coupl(nGC_194)*coupl(nGC_587)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1427) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_195) - cMC*&
                        coupl(nGC_199) - cMD*coupl(nGC_203) - cMS*coupl(nGC_215&
                        ) - cMT*coupl(nGC_219) - cMU*coupl(nGC_227))/(16d0*pi**&
                        2d0)
      coupl(nGC_1425) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(     &
                        nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1423) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(     &
                        nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1299) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_1353) = coupl(nGC_19)**2d0*coupl(nGC_217)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1352) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(  &
                        nGC_193)*coupl(nGC_194)*coupl(nGC_218) - coupl(nGC_193 &
                        )*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl(&
                        nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_1294) = cima*(coupl(nGC_124)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1295) = cima*(coupl(nGC_128)**2d0 + coupl(nGC_4)**2d0 + coupl( &
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1296) = cME*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1297) = cima*sq2**2d0*(Nc*coupl(nGC_619)**2d0 - 6d0*coupl(     &
                        nGC_19)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1290) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1291) = cima*(-coupl(nGC_123)**2d0 - coupl(nGC_2)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_1292) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1293) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1987) = coupl(nGC_1857) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_207_Hh) + coupl(nGC_TS_GC_208_Hl)
      coupl(nGC_1607) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)*coupl&
                        (nGC_196) - coupl(nGC_199)*coupl(nGC_200) - coupl(     &
                        nGC_203)*coupl(nGC_204) - coupl(nGC_215)*coupl(nGC_216 &
                        ) - coupl(nGC_219)*coupl(nGC_220) - coupl(nGC_227)*    &
                        coupl(nGC_228))/(16d0*pi**2d0)
      coupl(nGC_2205) = coupl(nGC_1869) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1779) = coupl(nGC_1184)*dcw_QED2 + coupl(nGC_1185)*dsw_QED2 +  &
                        coupl(nGC_1186)*dZee_QED2 + coupl(nGC_1187)*dvev_QED1  &
                         + coupl(nGC_1188)*da_QED2
      coupl(nGC_1747) = coupl(nGC_875)*dsw_QED2 + coupl(nGC_876)*dZee_QED2 +   &
                        coupl(nGC_877)*da_QED2
      coupl(nGC_1447) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl(  &
                        nGC_198)**2d0*coupl(nGC_200) - coupl(nGC_199)**2d0*    &
                        coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200   &
                        ) - coupl(nGC_200)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1629) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_1625) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_543) - Nc*cima*   &
                        coupl(nGC_619)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_20)*   &
                        coupl(nGC_619)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_543)*  &
                        coupl(nGC_619)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1627) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_543) - Nc*cima*   &
                        coupl(nGC_619)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_543)*  &
                        coupl(nGC_619)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1880) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_1882) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_2126) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_1739) = coupl(nGC_381)*dyt_QED3 + coupl(nGC_383)*da_QED2
      coupl(nGC_2124) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2
      coupl(nGC_2121) = -coupl(nGC_1714) - coupl(nGC_206)*dZeMinusL_QED2/2d0 - &
                        coupl(nGC_206)*dZeMinusR_QED2/2d0
      coupl(nGC_2120) = coupl(nGC_1714) + coupl(nGC_206)*dZeMinusL_QED2/2d0 +  &
                        coupl(nGC_206)*dZeMinusR_QED2/2d0
      coupl(nGC_2089) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_1768) + coupl( &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_1622) = (-Nc*cima*coupl(nGC_20)*coupl(nGC_609) - Nc*cima*coupl(&
                        nGC_543)*coupl(nGC_609) + Nc*cima*coupl(nGC_619)**4d0* &
                        sq2**4d0 + Nc*coupl(nGC_20)*coupl(nGC_619)**2d0*sq2**  &
                        2d0 + Nc*coupl(nGC_543)*coupl(nGC_619)**2d0*sq2**2d0 + &
                        Nc*coupl(nGC_609)*coupl(nGC_619)**2d0*sq2**2d0 - cima* &
                        coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2087) = coupl(nGC_1702) + coupl(nGC_215)*dZsL_QCD2/2d0 + coupl(&
                        nGC_215)*dZsR_QCD2/2d0
      coupl(nGC_2012) = coupl(nGC_1740) + coupl(nGC_220)*dZtL_QCD2/2d0 + coupl(&
                        nGC_220)*dZtR_QCD2/2d0
      coupl(nGC_2011) = coupl(nGC_1739) + coupl(nGC_219)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_220)*dZHl_QED2/2d0 + coupl(nGC_220)*dZtL_QED2&
                        /2d0 + coupl(nGC_220)*dZtR_QED2/2d0
      coupl(nGC_2159) = coupl(nGC_1707) + coupl(nGC_215)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_216)*dZHl_QED2/2d0 + coupl(nGC_216)*dZsL_QED2&
                        /2d0 + coupl(nGC_216)*dZsR_QED2/2d0
      coupl(nGC_2017) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusR_QED2
      coupl(nGC_2016) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusL_QED2
      coupl(nGC_2153) = -coupl(nGC_105)*dZZA_QED2/4d0 - coupl(nGC_1673)/2d0 -  &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_2019) = coupl(nGC_1746) + coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_2018) = coupl(nGC_162)*dZHh_QED2/2d0 + coupl(nGC_162)*         &
                        dZWMinus_QED2 + coupl(nGC_164)*dZHlHh_QED2/2d0 + coupl(&
                        nGC_1760) + coupl(nGC_TS_GC_82_Hh) + coupl(            &
                        nGC_TS_GC_92_Hl)
      coupl(nGC_1948) = coupl(nGC_1785) + coupl(nGC_19)*dZbR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1942) = coupl(nGC_1757) + coupl(nGC_82)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_92)*dZHh_QED2/2d0 + coupl(nGC_92)*dZHl_QED2/2d0 + &
                        coupl(nGC_92)*dZWMinus_QED2 + coupl(nGC_96)*dZHlHh_QED2&
                        /2d0
      coupl(nGC_1943) = coupl(nGC_161)*dZHh_QED2/2d0 + coupl(nGC_165)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_1669)
      coupl(nGC_TS_GC_110_Hh) = -coupl(nGC_110)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1945) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_134)*dZA_QED2/ &
                        2d0 + coupl(nGC_134)*dZZ_QED2/2d0 + coupl(nGC_141)*    &
                        dZZA_QED2/2d0 + coupl(nGC_1765)
      coupl(nGC_1946) = coupl(nGC_1785) + coupl(nGC_19)*dZbL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2093) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZtauMinusL_QED2 + coupl(nGC_1768) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2238) = coupl(nGC_1855) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_189_Hl) + coupl(nGC_TS_GC_191_Hh)
      coupl(nGC_1649) = coupl(nGC_1257)*da_QED2 + coupl(nGC_1258)*dl2_QED4 +   &
                        coupl(nGC_1259)*dl1_QED4 + coupl(nGC_1260)*dl3_QED4
      coupl(nGC_1648) = coupl(nGC_866)*da_QED2 + coupl(nGC_867)*dl2_QED4 +     &
                        coupl(nGC_868)*dl1_QED4 + coupl(nGC_869)*dl3_QED4
      coupl(nGC_1647) = coupl(nGC_844)*da_QED2 + coupl(nGC_845)*dl1_QED4 +     &
                        coupl(nGC_846)*dl3_QED4
      coupl(nGC_1646) = coupl(nGC_1074)*dcw_QED2 + coupl(nGC_1075)*dsw_QED2 +  &
                        coupl(nGC_1076)*dZee_QED2 + coupl(nGC_1077)*da_QED2
      coupl(nGC_1645) = coupl(nGC_824)*dcw_QED2 + coupl(nGC_825)*dZee_QED2 +   &
                        coupl(nGC_826)*da_QED2
      coupl(nGC_1644) = coupl(nGC_885)*da_QED2 + coupl(nGC_886)*dl2_QED4 +     &
                        coupl(nGC_887)*dl1_QED4 + coupl(nGC_888)*dl3_QED4
      coupl(nGC_1643) = coupl(nGC_841)*da_QED2 + coupl(nGC_842)*dl1_QED4 +     &
                        coupl(nGC_843)*dl3_QED4
      coupl(nGC_1642) = coupl(nGC_820)*da_QED2 + coupl(nGC_821)*dl2_QED4 +     &
                        coupl(nGC_822)*dl1_QED4 + coupl(nGC_823)*dl3_QED4
      coupl(nGC_1641) = coupl(nGC_862)*da_QED2 + coupl(nGC_863)*dl2_QED4 +     &
                        coupl(nGC_864)*dl1_QED4 + coupl(nGC_865)*dl3_QED4
      coupl(nGC_1640) = coupl(nGC_851)*da_QED2 + coupl(nGC_852)*dl1_QED4 +     &
                        coupl(nGC_853)*dl3_QED4
      coupl(nGC_2101) = coupl(nGC_147)*dZHhHl_QED2 + coupl(nGC_151)*dZHl_QED2  &
                         + coupl(nGC_151)*dZZ_QED2 + coupl(nGC_1778)
      coupl(nGC_2100) = -coupl(nGC_101)*dZHh_QED2/2d0 - coupl(nGC_101)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_117)*dZHlHh_QED2/2d0 -   &
                        coupl(nGC_1747)
      coupl(nGC_2103) = coupl(nGC_1648) + 3d0*coupl(nGC_33)*dZHh_QED2/2d0 +    &
                        coupl(nGC_33)*dZHl_QED2/2d0 + coupl(nGC_35)*dZHhHl_QED2&
                        /2d0 + 3d0*coupl(nGC_36)*dZHlHh_QED2/2d0
      coupl(nGC_1445) = (-2d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_196) + 2d0* &
                        Nc*cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_196) -  &
                        2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_196) - 2d0*Nc*&
                        cMC*coupl(nGC_123)**2d0*coupl(nGC_200) + 2d0*Nc*cMC*   &
                        coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) - 2d0*Nc* &
                        cMC*coupl(nGC_126)**2d0*coupl(nGC_200) - 2d0*Nc*cMD*   &
                        coupl(nGC_122)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl( &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_204) - 2d0*Nc*cMD*   &
                        coupl(nGC_125)**2d0*coupl(nGC_204) - 2d0*Nc*cMS*coupl( &
                        nGC_122)**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(nGC_122&
                        )*coupl(nGC_125)*coupl(nGC_216) - 2d0*Nc*cMS*coupl(    &
                        nGC_125)**2d0*coupl(nGC_216) - 2d0*Nc*cMT*coupl(nGC_123&
                        )**2d0*coupl(nGC_220) + 2d0*Nc*cMT*coupl(nGC_123)*coupl&
                        (nGC_126)*coupl(nGC_220) - 2d0*Nc*cMT*coupl(nGC_126)** &
                        2d0*coupl(nGC_220) - 2d0*Nc*cMU*coupl(nGC_123)**2d0*   &
                        coupl(nGC_228) + 2d0*Nc*cMU*coupl(nGC_123)*coupl(      &
                        nGC_126)*coupl(nGC_228) - 2d0*Nc*cMU*coupl(nGC_126)**  &
                        2d0*coupl(nGC_228) - 2d0*cME*coupl(nGC_124)**2d0*coupl(&
                        nGC_208) + 2d0*cME*coupl(nGC_124)*coupl(nGC_128)*coupl(&
                        nGC_208) - 2d0*cME*coupl(nGC_128)**2d0*coupl(nGC_208   &
                        ) - 2d0*cMM*coupl(nGC_124)**2d0*coupl(nGC_212) + 2d0*  &
                        cMM*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_212) - 2d0*&
                        cMM*coupl(nGC_128)**2d0*coupl(nGC_212) - 2d0*cMTA*coupl&
                        (nGC_124)**2d0*coupl(nGC_224) + 2d0*cMTA*coupl(nGC_124 &
                        )*coupl(nGC_128)*coupl(nGC_224) - 2d0*cMTA*coupl(      &
                        nGC_128)**2d0*coupl(nGC_224) + cima*coupl(nGC_164)*    &
                        coupl(nGC_85) + coupl(nGC_103)**2d0*coupl(nGC_164) +   &
                        coupl(nGC_164)*coupl(nGC_565)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2104) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_1399) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_585) -    &
                        coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_585) - coupl(nGC_218)*coupl&
                        (nGC_219)**2d0 - coupl(nGC_218)*coupl(nGC_220)**2d0 -  &
                        coupl(nGC_218)*coupl(nGC_585)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1398) = coupl(nGC_19)**2d0*coupl(nGC_214)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1469) = (3d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 3d0*Nc*    &
                        coupl(nGC_126)*coupl(nGC_99)**2d0 - coupl(nGC_102)*    &
                        coupl(nGC_103)*coupl(nGC_565) - coupl(nGC_103)*coupl(  &
                        nGC_4)*coupl(nGC_571) + 3d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 - 3d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_1468) = coupl(nGC_19)**2d0*coupl(nGC_228)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1541) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_215)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_199)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_219)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_227)**2d0 - 2d0*cima* &
                        coupl(nGC_207)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_223)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_82)*  &
                        coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_82) + coupl(&
                        nGC_571)**2d0*coupl(nGC_82))/(8d0*pi**2d0)
      coupl(nGC_1543) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_2)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_227)*coupl(nGC_99) + 6d0*cima*coupl(nGC_110)*coupl(&
                        nGC_553) + 6d0*cima*coupl(nGC_113)*coupl(nGC_15) + cima&
                        *coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_211)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_15)*coupl(nGC_3) + 6d0*coupl(nGC_110)*coupl&
                        (nGC_3)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1463) = coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1462) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -    &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_218)**2d0*&
                        coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220) -  &
                        coupl(nGC_220)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1461) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -    &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_219)**2d0*&
                        coupl(nGC_220) - coupl(nGC_220)**3d0 - coupl(nGC_220)* &
                        coupl(nGC_585)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1392) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_539) -    &
                        coupl(nGC_206)*coupl(nGC_207)**2d0 - coupl(nGC_206)*   &
                        coupl(nGC_208)**2d0 - coupl(nGC_206)*coupl(nGC_539)**  &
                        2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_539))/(32d0*pi** &
                        2d0)
      coupl(nGC_1467) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*    &
                        coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_226)**2d0*   &
                        coupl(nGC_228) - coupl(nGC_227)**2d0*coupl(nGC_228) -  &
                        coupl(nGC_228)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1466) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*    &
                        coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_227)**2d0*   &
                        coupl(nGC_228) - coupl(nGC_228)**3d0 - coupl(nGC_228)* &
                        coupl(nGC_581)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1465) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_223)**2d0 - coupl(nGC_224)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_557)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1396) = coupl(nGC_19)**2d0*coupl(nGC_623)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2050) = coupl(nGC_1738) + coupl(nGC_200)*dZcL_QCD2/2d0 + coupl(&
                        nGC_200)*dZcR_QCD2/2d0
      coupl(nGC_1544) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_200)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_228)*coupl(nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(&
                        nGC_28) + 6d0*cima*coupl(nGC_120)*coupl(nGC_553) + cima&
                        *coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_212)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_224)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_28)*coupl(nGC_3) + 6d0*coupl(nGC_120)*coupl&
                        (nGC_3)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1545) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_193&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(&
                        nGC_201)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122 &
                        )*coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_123)*coupl(nGC_197)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_123)*coupl(nGC_217)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_123)*coupl(nGC_225)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_197)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(      &
                        nGC_217)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125 &
                        )*coupl(nGC_225)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_126)*coupl(nGC_193)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_126)*coupl(nGC_201)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_213)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_122)*coupl(nGC_193)**2d0*coupl(nGC_2 &
                        ) + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_2)*coupl(     &
                        nGC_201)**2d0 + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_2 &
                        )*coupl(nGC_213)**2d0 - 8d0*Nc*cima*coupl(nGC_123)*    &
                        coupl(nGC_197)**2d0*coupl(nGC_2) - 8d0*Nc*cima*coupl(  &
                        nGC_123)*coupl(nGC_2)*coupl(nGC_217)**2d0 - 8d0*Nc*cima&
                        *coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_225)**2d0 + 5d0*&
                        Nc*cima*coupl(nGC_125)*coupl(nGC_197)**2d0*coupl(nGC_2 &
                        ) + 5d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*coupl(     &
                        nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2 &
                        )*coupl(nGC_225)**2d0 - 8d0*Nc*cima*coupl(nGC_126)*    &
                        coupl(nGC_193)**2d0*coupl(nGC_2) - 8d0*Nc*cima*coupl(  &
                        nGC_126)*coupl(nGC_2)*coupl(nGC_201)**2d0 - 8d0*Nc*cima&
                        *coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_213)**2d0 + 6d0*&
                        cima*coupl(nGC_116)*coupl(nGC_71) - 8d0*cima*coupl(    &
                        nGC_124)*coupl(nGC_205)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_124)*coupl(nGC_209)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_124)*coupl(nGC_221)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_129)*coupl(nGC_205)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_129)*coupl(nGC_209)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_129)*coupl(nGC_221)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_103)*coupl(nGC_3)*coupl(  &
                        nGC_71) + 6d0*coupl(nGC_565)*coupl(nGC_571)*coupl(     &
                        nGC_71))/(48d0*pi**2d0)
      coupl(nGC_1546) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_587)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_198)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_599)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_623)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_218)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_226)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_587)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_599)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_623)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_218)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_226)*coupl(nGC_99) + 6d0*cima*coupl(nGC_108)*coupl(&
                        nGC_553) + 6d0*cima*coupl(nGC_113)*coupl(nGC_14) + cima&
                        *coupl(nGC_205)*coupl(nGC_4)*coupl(nGC_539)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_4)*coupl(      &
                        nGC_575)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(    &
                        nGC_4)*coupl(nGC_557)*coupl(nGC_99) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_14)*coupl(nGC_571) + 6d0*coupl(nGC_108)*   &
                        coupl(nGC_3)*coupl(nGC_571))/(48d0*pi**2d0)
      coupl(nGC_1496) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122)*&
                        coupl(nGC_214)*coupl(nGC_623) + coupl(nGC_122)*coupl(  &
                        nGC_215)**2d0 + coupl(nGC_122)*coupl(nGC_216)**2d0 +   &
                        coupl(nGC_123)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_125 &
                        )**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99)**2d0 + 2d0*  &
                        coupl(nGC_565)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1497) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_214)*coupl(   &
                        nGC_623) + coupl(nGC_125)*coupl(nGC_215)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_216)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_213)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1494) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_209)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1547) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 + 2d0*cima*   &
                        coupl(nGC_4)**4d0 - 2d0*cima*coupl(nGC_571)**4d0 + cima&
                        *coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9 &
                        ) + 2d0*coupl(nGC_571)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_1492) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_210)*coupl(nGC_575) + coupl(nGC_124)*coupl(&
                        nGC_211)**2d0 + coupl(nGC_124)*coupl(nGC_212)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1493) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_205)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1490) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_206)*coupl(nGC_539) + coupl(nGC_124)*coupl(&
                        nGC_207)**2d0 + coupl(nGC_124)*coupl(nGC_208)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1491) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_210)*coupl(     &
                        nGC_575) + coupl(nGC_128)*coupl(nGC_211)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_212)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_209)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1498) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_193)**2d0 + coupl(nGC_123)*coupl(nGC_218)* &
                        coupl(nGC_585) + coupl(nGC_123)*coupl(nGC_219)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_220)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1499) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_217)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_218)*coupl(nGC_585) + coupl(  &
                        nGC_126)*coupl(nGC_219)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1904) = coupl(nGC_1756) + coupl(nGC_82)*dZHh_QED2 + coupl(     &
                        nGC_82)*dZWMinus_QED2 + coupl(nGC_92)*dZHlHh_QED2
      coupl(nGC_1700) = coupl(nGC_1148)*dydo_QED1_QCD2
      coupl(nGC_1267) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_199)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_203)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_215)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_219)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_227)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_207)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_211)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_223 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_82) - cMZ**2d0*coupl(  &
                        nGC_145) + 2d0*cima*coupl(nGC_162)**2d0 + cima*coupl(  &
                        nGC_175)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1451) = coupl(nGC_19)**2d0*coupl(nGC_204)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1261) = cima*(Nc*coupl(nGC_193)**2d0 + Nc*coupl(nGC_197)**2d0  &
                         + Nc*coupl(nGC_201)**2d0 + Nc*coupl(nGC_213)**2d0 + Nc&
                        *coupl(nGC_217)**2d0 + Nc*coupl(nGC_225)**2d0 + coupl( &
                        nGC_205)**2d0 + coupl(nGC_209)**2d0 + coupl(nGC_221)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_1262) = (-Nc*cMB**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_217)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_197)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_213)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_201)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_225)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_197  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_213)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_193)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_217)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_201)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_225)**2d0 - cME**2d0*cima&
                        *coupl(nGC_205)**2d0 - cMM**2d0*cima*coupl(nGC_209)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_221)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_71) - cMZ**2d0*coupl(nGC_141) + 2d0*cima*   &
                        coupl(nGC_154)**2d0 + 2d0*cima*coupl(nGC_166)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_1900) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2
      coupl(nGC_1269) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_200)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_204)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_216)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_220)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_228)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_208)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_212)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_224 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_96) - cMZ**2d0*coupl(  &
                        nGC_151) + 2d0*cima*coupl(nGC_164)**2d0 + cima*coupl(  &
                        nGC_177)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1268) = cima*(Nc*coupl(nGC_196)**2d0 + Nc*coupl(nGC_200)**2d0  &
                         + Nc*coupl(nGC_204)**2d0 + Nc*coupl(nGC_216)**2d0 + Nc&
                        *coupl(nGC_220)**2d0 + Nc*coupl(nGC_228)**2d0 + coupl( &
                        nGC_208)**2d0 + coupl(nGC_212)**2d0 + coupl(nGC_224)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_1901) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1454) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(     &
                        nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2067) = coupl(nGC_1734) + coupl(nGC_219)*dZtL_QCD2/2d0 + coupl(&
                        nGC_219)*dZtR_QCD2/2d0
      coupl(nGC_1548) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_2)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_227)*coupl(nGC_99) + 6d0*cima*coupl(nGC_110)*coupl(&
                        nGC_553) + 6d0*cima*coupl(nGC_113)*coupl(nGC_15) + cima&
                        *coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_211)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_15)*coupl(nGC_571) + 6d0*coupl(nGC_110)*   &
                        coupl(nGC_3)*coupl(nGC_571))/(48d0*pi**2d0)
      coupl(nGC_1304) = cima*(-coupl(nGC_129)**2d0 - coupl(nGC_99)**2d0)/(16d0*&
                        pi**2d0)
      coupl(nGC_1455) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_575)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1303) = cMM*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1300) = cima*sq2**2d0*(-Nc*coupl(nGC_619)**2d0 + 6d0*coupl(    &
                        nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_1549) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_200)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_228)*coupl(nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(&
                        nGC_28) + 6d0*cima*coupl(nGC_120)*coupl(nGC_553) + cima&
                        *coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_212)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_224)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_28)*coupl(nGC_571) + 6d0*coupl(nGC_120)*   &
                        coupl(nGC_3)*coupl(nGC_571))/(48d0*pi**2d0)
      coupl(nGC_2233) = coupl(nGC_1866) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0 + coupl(nGC_TS_GC_203_Hh) + coupl&
                        (nGC_TS_GC_204_Hl)
      coupl(nGC_1514) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_125)**2d0 + coupl(nGC_202)*coupl(nGC_599) + coupl( &
                        nGC_203)**2d0 + coupl(nGC_204)**2d0 + coupl(nGC_225)** &
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2148) = coupl(nGC_101)*dZHhHl_QED2/2d0 + coupl(nGC_117)*       &
                        dZHl_QED2/2d0 + coupl(nGC_117)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_1748)
      coupl(nGC_2048) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZeMinusL_QED2/2d0 + coupl(nGC_99)*      &
                        dZnu_eL_QED2/2d0
      coupl(nGC_2049) = coupl(nGC_1737) + coupl(nGC_199)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_200)*dZHl_QED2/2d0 + coupl(nGC_200)*dZcL_QED2&
                        /2d0 + coupl(nGC_200)*dZcR_QED2/2d0
      coupl(nGC_2044) = coupl(nGC_1706) + coupl(nGC_204)*dZdL_QCD2/2d0 + coupl(&
                        nGC_204)*dZdR_QCD2/2d0
      coupl(nGC_2045) = coupl(nGC_161)*dZHhHl_QED2/2d0 + coupl(nGC_165)*       &
                        dZHl_QED2/2d0 + coupl(nGC_1670)
      coupl(nGC_2046) = coupl(nGC_1647) + coupl(nGC_29)*dZHh_QED2/2d0 + coupl( &
                        nGC_29)*dZHl_QED2/2d0 + coupl(nGC_30)*dZHlHh_QED2/2d0  &
                         + coupl(nGC_31)*dZHhHl_QED2/2d0
      coupl(nGC_2040) = coupl(nGC_126)*dZtL_QCD2
      coupl(nGC_2041) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZtR_QED2 &
                         + coupl(nGC_1788) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2042) = coupl(nGC_123)*dZtR_QCD2
      coupl(nGC_1735) = coupl(nGC_928)*dyup_QED3 + coupl(nGC_929)*da_QED2
      coupl(nGC_2140) = coupl(nGC_1688) + coupl(nGC_197)*dZcR_QCD2/2d0 + coupl(&
                        nGC_197)*dZsL_QCD2/2d0
      coupl(nGC_1603) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)**2d0 &
                         - coupl(nGC_199)**2d0 - coupl(nGC_203)**2d0 - coupl(  &
                        nGC_215)**2d0 - coupl(nGC_219)**2d0 - coupl(nGC_227)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_1602) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_196)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_204)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_216)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(   &
                        nGC_196)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(     &
                        nGC_125)*coupl(nGC_204)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_228)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(   &
                        nGC_220)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(     &
                        nGC_126)*coupl(nGC_228)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_196)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_204)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_216)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_228)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_208)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_212)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_224)**2d0 + 10d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_128)*coupl(nGC_208)**2d0 + 10d0*cima&
                        *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_212)**2d0 +   &
                        10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_224  &
                        )**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_208)** &
                        2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_212)**2d0 &
                         - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_224)**2d0 +  &
                        3d0*cima*coupl(nGC_85)*coupl(nGC_96) + 3d0*coupl(      &
                        nGC_103)**2d0*coupl(nGC_96) + 3d0*coupl(nGC_565)**2d0* &
                        coupl(nGC_96))/(24d0*pi**2d0)
      coupl(nGC_1601) = (-3d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 + &
                        9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99 &
                        )**2d0 - 3d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 4d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_565) - 4d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_571) + 3d0*cima*coupl(nGC_113)**2d0 - &
                        3d0*cima*coupl(nGC_128)**2d0*coupl(nGC_99)**2d0 + 9d0* &
                        cima*coupl(nGC_128)*coupl(nGC_129)*coupl(nGC_99)**2d0  &
                         - 3d0*cima*coupl(nGC_129)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_84)**2d0 + 3d0*coupl(nGC_102)*coupl(&
                        nGC_103)*coupl(nGC_84) + 3d0*coupl(nGC_103)*coupl(     &
                        nGC_113)*coupl(nGC_4) + 3d0*coupl(nGC_103)*coupl(      &
                        nGC_113)*coupl(nGC_571) + 3d0*coupl(nGC_103)*coupl(    &
                        nGC_565)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_1600) = (9d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 -  &
                        15d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99&
                        )**2d0 + 9d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 4d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_565) - 4d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_571) + 9d0*cima*coupl(nGC_128)**2d0*  &
                        coupl(nGC_99)**2d0 - 15d0*cima*coupl(nGC_128)*coupl(   &
                        nGC_129)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(nGC_129)**&
                        2d0*coupl(nGC_99)**2d0 + 3d0*cima*coupl(nGC_625)*coupl(&
                        nGC_85) + 3d0*coupl(nGC_102)*coupl(nGC_565)*coupl(     &
                        nGC_85) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_625) + 3d0*&
                        coupl(nGC_4)*coupl(nGC_571)*coupl(nGC_85) + 3d0*coupl( &
                        nGC_565)**2d0*coupl(nGC_625))/(24d0*pi**2d0)
      coupl(nGC_1606) = -cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1605) = cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_1604) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)**2d0  &
                         + coupl(nGC_199)**2d0 + coupl(nGC_203)**2d0 + coupl(  &
                        nGC_215)**2d0 + coupl(nGC_219)**2d0 + coupl(nGC_227)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1609) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_196)**2d0 &
                         - coupl(nGC_200)**2d0 - coupl(nGC_204)**2d0 - coupl(  &
                        nGC_216)**2d0 - coupl(nGC_220)**2d0 - coupl(nGC_228)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_1608) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)*coupl(&
                        nGC_196) + coupl(nGC_199)*coupl(nGC_200) + coupl(      &
                        nGC_203)*coupl(nGC_204) + coupl(nGC_215)*coupl(nGC_216 &
                        ) + coupl(nGC_219)*coupl(nGC_220) + coupl(nGC_227)*    &
                        coupl(nGC_228))/(16d0*pi**2d0*Nc)
      coupl(nGC_1959) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZdR_QED2 + coupl(nGC_1789)
      coupl(nGC_1958) = coupl(nGC_125)*dZdL_QCD2
      coupl(nGC_2160) = coupl(nGC_1708) + coupl(nGC_216)*dZsL_QCD2/2d0 + coupl(&
                        nGC_216)*dZsR_QCD2/2d0
      coupl(nGC_1637) = coupl(nGC_813)*dl1_QED4
      coupl(nGC_1953) = coupl(nGC_105)*dZWMinus_QED2/4d0 + coupl(nGC_1676)/2d0
      coupl(nGC_2161) = -coupl(nGC_136)*dZZA_QED2/2d0
      coupl(nGC_1495) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_221)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2167) = -coupl(nGC_116)*dZZA_QED2/2d0 + coupl(nGC_1762) + coupl&
                        (nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_2166) = coupl(nGC_116)*dZZA_QED2 - 2d0*coupl(nGC_1762) - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_1952) = coupl(nGC_1680)/2d0 + coupl(nGC_17)*dZg_QCD2/4d0
      coupl(nGC_2169) = -coupl(nGC_105)*dZZ_QED2/4d0 - coupl(nGC_1676)/2d0 -   &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_2168) = coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_1528) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_226)*   &
                        coupl(nGC_581) - coupl(nGC_227)**2d0 - coupl(nGC_228)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1931) = -coupl(nGC_1695) - coupl(nGC_214)*dZsL_QED2/2d0 - coupl&
                        (nGC_214)*dZsR_QED2/2d0
      coupl(nGC_1930) = coupl(nGC_1696) + coupl(nGC_214)*dZsL_QCD2/2d0 + coupl(&
                        nGC_214)*dZsR_QCD2/2d0
      coupl(nGC_1933) = coupl(nGC_1697) + coupl(nGC_194)*dZbL_QED2/2d0 + coupl(&
                        nGC_194)*dZbR_QED2/2d0
      coupl(nGC_1482) = coupl(nGC_122)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1935) = -coupl(nGC_1697) - coupl(nGC_194)*dZbL_QED2/2d0 - coupl&
                        (nGC_194)*dZbR_QED2/2d0
      coupl(nGC_1934) = coupl(nGC_1698) + coupl(nGC_194)*dZbL_QCD2/2d0 + coupl(&
                        nGC_194)*dZbR_QCD2/2d0
      coupl(nGC_1937) = coupl(nGC_1753) + coupl(nGC_71)*dZWMinus_QED2
      coupl(nGC_1936) = -coupl(nGC_1698) - coupl(nGC_194)*dZbL_QCD2/2d0 - coupl&
                        (nGC_194)*dZbR_QCD2/2d0
      coupl(nGC_1939) = coupl(nGC_114)*dZA_QED2/2d0 + coupl(nGC_114)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_1742) + coupl(nGC_83)*   &
                        dZZA_QED2/2d0
      coupl(nGC_1938) = coupl(nGC_134)*dZAZ_QED2 + coupl(nGC_141)*dZZ_QED2 +   &
                        coupl(nGC_1775)
      coupl(nGC_1484) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2264) = -coupl(nGC_1532)
      coupl(nGC_2265) = -coupl(nGC_1313)
      coupl(nGC_2267) = -coupl(nGC_1347)
      coupl(nGC_2260) = -coupl(nGC_1367)
      coupl(nGC_2262) = -coupl(nGC_1345)
      coupl(nGC_2263) = -coupl(nGC_1533)
      coupl(nGC_1500) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_222)*coupl(     &
                        nGC_557) + coupl(nGC_128)*coupl(nGC_223)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_224)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_221)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1502) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_201)**2d0 + coupl(nGC_123)*coupl(nGC_226)* &
                        coupl(nGC_581) + coupl(nGC_123)*coupl(nGC_227)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_228)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1486) = coupl(nGC_123)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2268) = -coupl(nGC_1366)
      coupl(nGC_1505) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_619) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_1506) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_122)**2d0 + coupl(nGC_193)**2d0 + coupl(nGC_194)*  &
                        coupl(nGC_587) + coupl(nGC_195)**2d0 + coupl(nGC_196)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1507) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_125)**2d0 - coupl(nGC_194)*coupl(nGC_587) - coupl( &
                        nGC_195)**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_217)** &
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1693) = coupl(nGC_812)*dydo_QED3
      coupl(nGC_1694) = coupl(nGC_812)*dydo_QED1_QCD2
      coupl(nGC_1592) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_122) - coupl(nGC_1)*coupl(nGC_125) - coupl(nGC_123 &
                        )*coupl(nGC_2) - coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_1591) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_122) + coupl(nGC_1)*coupl(nGC_125) + coupl(nGC_123 &
                        )*coupl(nGC_2) + coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0)
      coupl(nGC_1590) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_203)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_215)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(   &
                        nGC_195)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(     &
                        nGC_125)*coupl(nGC_203)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_227)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(   &
                        nGC_219)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(     &
                        nGC_126)*coupl(nGC_227)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_195)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_203)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_215)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_227)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_207)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_211)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_223)**2d0 + 10d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_128)*coupl(nGC_207)**2d0 + 10d0*cima&
                        *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_211)**2d0 +   &
                        10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223  &
                        )**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207)** &
                        2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_211)**2d0 &
                         - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_223)**2d0 +  &
                        3d0*cima*coupl(nGC_82)*coupl(nGC_85) + 3d0*coupl(      &
                        nGC_103)**2d0*coupl(nGC_82) + 3d0*coupl(nGC_565)**2d0* &
                        coupl(nGC_82))/(24d0*pi**2d0)
      coupl(nGC_1595) = cima*(20d0*Nc*coupl(nGC_196)**4d0 + 20d0*Nc*coupl(     &
                        nGC_200)**4d0 + 20d0*Nc*coupl(nGC_204)**4d0 + 20d0*Nc* &
                        coupl(nGC_216)**4d0 + 20d0*Nc*coupl(nGC_220)**4d0 +    &
                        20d0*Nc*coupl(nGC_228)**4d0 + 3d0*coupl(nGC_151)**2d0  &
                         + 20d0*coupl(nGC_208)**4d0 + 20d0*coupl(nGC_212)**4d0 &
                         + 20d0*coupl(nGC_224)**4d0 + 6d0*coupl(nGC_96)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_TS_GC_151_Hl) = -coupl(nGC_151)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1984) = coupl(nGC_1750) + coupl(nGC_74)*dZWMinus_QED2
      coupl(nGC_1985) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*dZHh_QED2/&
                        2d0 + coupl(nGC_110)*dZWMinus_QED2/2d0 + coupl(nGC_120 &
                        )*dZHlHh_QED2/2d0 + coupl(nGC_15)*dZZA_QED2/2d0 + coupl&
                        (nGC_1743)
      coupl(nGC_1980) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusL_QED2
      coupl(nGC_1981) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusR_QED2
      coupl(nGC_1677) = coupl(nGC_889)*dcw_QED2 + coupl(nGC_890)*dsw_QED2 +    &
                        coupl(nGC_891)*dZee_QED2
      coupl(nGC_1983) = coupl(nGC_1732) + coupl(nGC_199)*dZcL_QCD2/2d0 + coupl(&
                        nGC_199)*dZcR_QCD2/2d0
      coupl(nGC_1342) = (coupl(nGC_1)*coupl(nGC_225)**2d0 + 4d0*coupl(nGC_123  &
                        )**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(   &
                        nGC_2)*coupl(nGC_226)*coupl(nGC_581) + coupl(nGC_2)*   &
                        coupl(nGC_227)**2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_1343) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_195) + 2d0*Nc&
                        *cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_219) + 2d0&
                        *Nc*cMB*coupl(nGC_195)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_197)**2d0*coupl(nGC_199) + 2d0*Nc*cMC*coupl(&
                        nGC_197)*coupl(nGC_213)*coupl(nGC_215) + 2d0*Nc*cMC*   &
                        coupl(nGC_199)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_201)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl(nGC_201&
                        )*coupl(nGC_225)*coupl(nGC_227) + 2d0*Nc*cMD*coupl(    &
                        nGC_203)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197&
                        )**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(nGC_197)*coupl&
                        (nGC_199)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)** &
                        2d0*coupl(nGC_215) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*   &
                        coupl(nGC_219) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(      &
                        nGC_195)*coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**  &
                        2d0*coupl(nGC_219) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*   &
                        coupl(nGC_227) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(      &
                        nGC_203)*coupl(nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**  &
                        2d0*coupl(nGC_227) + 2d0*cME*coupl(nGC_205)**2d0*coupl(&
                        nGC_207) + 2d0*cMM*coupl(nGC_209)**2d0*coupl(nGC_211   &
                        ) + 2d0*cMTA*coupl(nGC_221)**2d0*coupl(nGC_223) + 4d0* &
                        cima*coupl(nGC_110)*coupl(nGC_166) + cima*coupl(nGC_141&
                        )*coupl(nGC_175) + 4d0*cima*coupl(nGC_15)*coupl(nGC_154&
                        ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_71))/(16d0*pi**  &
                        2d0)
      coupl(nGC_1340) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_222)*&
                        coupl(nGC_4)*coupl(nGC_557) + coupl(nGC_223)**2d0*coupl&
                        (nGC_4) + coupl(nGC_224)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_1437) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*    &
                        coupl(nGC_203)*coupl(nGC_225) - coupl(nGC_227)**3d0 -  &
                        coupl(nGC_227)*coupl(nGC_228)**2d0 - coupl(nGC_227)*   &
                        coupl(nGC_581)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1430) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_214)**2d0* &
                        coupl(nGC_215) - coupl(nGC_215)**3d0 - coupl(nGC_215)* &
                        coupl(nGC_216)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1432) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -    &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_219) - coupl(nGC_219)**3d0 &
                         - coupl(nGC_219)*coupl(nGC_220)**2d0 - coupl(nGC_219)*&
                        coupl(nGC_585)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1349) = (Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99) -  &
                        Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_99) - Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_99) + Nc* &
                        cMC*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_99) + Nc*  &
                        cMD*coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) + Nc*  &
                        cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + Nc*  &
                        cMT*coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + Nc*  &
                        cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) + cME* &
                        coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl(    &
                        nGC_129)*coupl(nGC_205)*coupl(nGC_99) + cMM*coupl(     &
                        nGC_124)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_128)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_129)*coupl(nGC_209)*coupl(nGC_99) + cMTA*coupl(    &
                        nGC_124)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_128)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_129)*coupl(nGC_221)*coupl(nGC_99) + 2d0*cima*coupl(&
                        nGC_113)*coupl(nGC_166) + 2d0*cima*coupl(nGC_154)*coupl&
                        (nGC_84) + 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                        nGC_154) + 2d0*coupl(nGC_103)*coupl(nGC_166)*coupl(    &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_1341) = (coupl(nGC_1)*coupl(nGC_201)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(    &
                        nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(   &
                        nGC_226)*coupl(nGC_581) + coupl(nGC_2)*coupl(nGC_227)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0 + 2d0*coupl(    &
                        nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1892) = coupl(nGC_16)*dZHh_QED2/2d0 + coupl(nGC_1635) + coupl( &
                        nGC_27)*dZHlHh_QED2/2d0
      coupl(nGC_1337) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(    &
                        nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(   &
                        nGC_218)*coupl(nGC_585) + coupl(nGC_2)*coupl(nGC_219)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 + 2d0*coupl(    &
                        nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1336) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(nGC_623) +  &
                        coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_216)**2d0 + coupl(nGC_2)*coupl(nGC_213)**2d0)/(32d0&
                        *pi**2d0)
      coupl(nGC_1335) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(nGC_623) +  &
                        coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_216)**2d0 + coupl(nGC_197)**2d0*coupl(nGC_2) + 4d0*&
                        coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(nGC_571)*  &
                        coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1334) = (coupl(nGC_221)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1333) = (coupl(nGC_209)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1332) = (coupl(nGC_205)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1331) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_210)*&
                        coupl(nGC_4)*coupl(nGC_575) + coupl(nGC_211)**2d0*coupl&
                        (nGC_4) + coupl(nGC_212)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_1330) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_210)*&
                        coupl(nGC_575) + coupl(nGC_211)**2d0 + coupl(nGC_212)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1993) = coupl(nGC_1717) + coupl(nGC_207)*dZHh_QED2/2d0 + coupl(&
                        nGC_207)*dZeMinusL_QED2/2d0 + coupl(nGC_207)*          &
                        dZeMinusR_QED2/2d0 + coupl(nGC_208)*dZHlHh_QED2/2d0
      coupl(nGC_1703) = coupl(nGC_1016)*dyb_QED3 + coupl(nGC_1017)*da_QED2
      coupl(nGC_1339) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_222)*&
                        coupl(nGC_557) + coupl(nGC_223)**2d0 + coupl(nGC_224)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1338) = (coupl(nGC_1)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_123  &
                        )**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(   &
                        nGC_2)*coupl(nGC_218)*coupl(nGC_585) + coupl(nGC_2)*   &
                        coupl(nGC_219)**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_1990) = coupl(nGC_1858) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_211_Hh) + coupl(nGC_TS_GC_212_Hl)
      coupl(nGC_TS_GC_100_Hh) = -coupl(nGC_100)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1720) = coupl(nGC_794)*dye_QED3 + coupl(nGC_795)*da_QED2
      coupl(nGC_1893) = coupl(nGC_1754) + coupl(nGC_73)*dZWMinus_QED2
      coupl(nGC_1890) = coupl(nGC_115)*dZWMinus_QED2 + coupl(nGC_1759)
      coupl(nGC_1723) = coupl(nGC_881)*dyup_QED3
      coupl(nGC_1724) = coupl(nGC_881)*dyup_QED1_QCD2
      coupl(nGC_1897) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_115)*dZA_QED2/ &
                        2d0 + coupl(nGC_115)*dZZ_QED2/2d0 + coupl(nGC_1759) +  &
                        coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_1894) = coupl(nGC_110)*dZHhHl_QED2/2d0 + coupl(nGC_120)*       &
                        dZA_QED2/2d0 + coupl(nGC_120)*dZHl_QED2/2d0 + coupl(   &
                        nGC_120)*dZWMinus_QED2/2d0 + coupl(nGC_1744) + coupl(  &
                        nGC_28)*dZZA_QED2/2d0
      coupl(nGC_1895) = coupl(nGC_111)*dZHh_QED2/2d0 + coupl(nGC_119)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_1658)
      coupl(nGC_1728) = coupl(nGC_1183)*dyt_QED1_QCD2
      coupl(nGC_1898) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZmuMinusL_QED2/2d0 + coupl(nGC_99)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_1899) = coupl(nGC_154)*dZZA_QED2/2d0 + coupl(nGC_166)*dZA_QED2/&
                        2d0 + coupl(nGC_166)*dZWMinus_QED2/2d0 + coupl(nGC_1745&
                        ) + coupl(nGC_TS_GC_110_Hh) + coupl(nGC_TS_GC_120_Hl)
      coupl(nGC_2130) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2
      coupl(nGC_2131) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_2132) = coupl(nGC_162)*dZHhHl_QED2/2d0 + coupl(nGC_164)*       &
                        dZHl_QED2/2d0 + coupl(nGC_164)*dZWMinus_QED2 + coupl(  &
                        nGC_1761) + coupl(nGC_TS_GC_92_Hh) + coupl(            &
                        nGC_TS_GC_96_Hl)
      coupl(nGC_2133) = coupl(nGC_145)*dZHh_QED2 + coupl(nGC_145)*dZZ_QED2 +   &
                        coupl(nGC_147)*dZHlHh_QED2 + coupl(nGC_1776)
      coupl(nGC_2196) = coupl(nGC_1642) + 2d0*coupl(nGC_32)*dZHhHl_QED2 + 2d0* &
                        coupl(nGC_34)*dZHl_QED2
      coupl(nGC_1613) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_1663) = coupl(nGC_307)*da_QED2 + coupl(nGC_309)*dvevs_QED1 +   &
                        coupl(nGC_311)*dvev_QED1 + coupl(nGC_313)*dl2_QED4 +   &
                        coupl(nGC_315)*dl3_QED4 + coupl(nGC_317)*dl1_QED4
      coupl(nGC_1662) = coupl(nGC_1203)*dvev_QED1 + coupl(nGC_1204)*dvevs_QED1 &
                         + coupl(nGC_1205)*da_QED2 + coupl(nGC_1206)*dl1_QED4  &
                         + coupl(nGC_1207)*dl3_QED4
      coupl(nGC_2192) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuL_QCD2
      coupl(nGC_1664) = coupl(nGC_321)*da_QED2 + coupl(nGC_323)*dvevs_QED1 +   &
                        coupl(nGC_325)*dvev_QED1 + coupl(nGC_327)*dl2_QED4 +   &
                        coupl(nGC_329)*dl3_QED4 + coupl(nGC_331)*dl1_QED4
      coupl(nGC_2000) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_2001) = coupl(nGC_1785) + coupl(nGC_19)*dZcR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2002) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_2003) = coupl(nGC_1640) + coupl(nGC_29)*dZHlHh_QED2 + coupl(   &
                        nGC_31)*dZHh_QED2
      coupl(nGC_2004) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_2190) = coupl(nGC_1700) + coupl(nGC_203)*dZdL_QCD2/2d0 + coupl(&
                        nGC_203)*dZdR_QCD2/2d0
      coupl(nGC_2006) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_122)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_2007) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_2008) = coupl(nGC_TS_GC_179_Hl) + coupl(nGC_TS_GC_184_Hh)
      coupl(nGC_2009) = coupl(nGC_154)*dZWMinus_QED2/2d0 + coupl(nGC_154)*     &
                        dZZ_QED2/2d0 + coupl(nGC_166)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_1772) + coupl(nGC_TS_GC_15_Hh) + coupl(            &
                        nGC_TS_GC_28_Hl)
      coupl(nGC_1666) = coupl(nGC_1173)*dvev_QED1 + coupl(nGC_1174)*dvevs_QED1 &
                         + coupl(nGC_1175)*da_QED2 + coupl(nGC_1176)*dl1_QED4  &
                         + coupl(nGC_1177)*dl3_QED4
      coupl(nGC_2228) = coupl(nGC_1863) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_2180) = -coupl(nGC_1715) - coupl(nGC_210)*dZmuMinusL_QED2/2d0  &
                         - coupl(nGC_210)*dZmuMinusR_QED2/2d0
      coupl(nGC_2183) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_2185) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_122)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_1654) = coupl(nGC_854)*dsw_QED2 + coupl(nGC_855)*dZee_QED2 +   &
                        coupl(nGC_856)*da_QED2
      coupl(nGC_1655) = coupl(nGC_899)*dsw_QED2 + coupl(nGC_900)*dZee_QED2
      coupl(nGC_1656) = coupl(nGC_897)*dsw_QED2 + coupl(nGC_898)*dZee_QED2
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
