!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_1597) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_194)*coupl(&
                        nGC_587) + coupl(nGC_198)*coupl(nGC_549) + coupl(      &
                        nGC_202)*coupl(nGC_599) + coupl(nGC_214)*coupl(nGC_623 &
                        ) + coupl(nGC_218)*coupl(nGC_585) + coupl(nGC_226)*    &
                        coupl(nGC_581))/(16d0*pi**2d0*Nc)
      coupl(nGC_1596) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_194)*coupl&
                        (nGC_587) - coupl(nGC_198)*coupl(nGC_549) - coupl(     &
                        nGC_202)*coupl(nGC_599) - coupl(nGC_214)*coupl(nGC_623 &
                        ) - coupl(nGC_218)*coupl(nGC_585) - coupl(nGC_226)*    &
                        coupl(nGC_581))/(16d0*pi**2d0)
      coupl(nGC_1594) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)*coupl(&
                        nGC_196) - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(      &
                        nGC_203)*coupl(nGC_204) - 8d0*Nc*cima*coupl(nGC_122)** &
                        2d0*coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*cima*coupl(&
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(  &
                        nGC_203)*coupl(nGC_204) + 10d0*Nc*cima*coupl(nGC_122)* &
                        coupl(nGC_125)*coupl(nGC_215)*coupl(nGC_216) - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_199)*coupl(nGC_200  &
                        ) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_219)*    &
                        coupl(nGC_220) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(&
                        nGC_227)*coupl(nGC_228) + 10d0*Nc*cima*coupl(nGC_123)* &
                        coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_200) + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219)*coupl&
                        (nGC_220) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*&
                        coupl(nGC_227)*coupl(nGC_228) - 8d0*Nc*cima*coupl(     &
                        nGC_125)**2d0*coupl(nGC_195)*coupl(nGC_196) - 8d0*Nc*  &
                        cima*coupl(nGC_125)**2d0*coupl(nGC_203)*coupl(nGC_204  &
                        ) - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_215)*    &
                        coupl(nGC_216) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(&
                        nGC_199)*coupl(nGC_200) - 8d0*Nc*cima*coupl(nGC_126)** &
                        2d0*coupl(nGC_219)*coupl(nGC_220) - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_227)*coupl(nGC_228) - 8d0*cima*&
                        coupl(nGC_124)**2d0*coupl(nGC_207)*coupl(nGC_208) - 8d0&
                        *cima*coupl(nGC_124)**2d0*coupl(nGC_211)*coupl(nGC_212 &
                        ) - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_223)*coupl( &
                        nGC_224) + 10d0*cima*coupl(nGC_124)*coupl(nGC_128)*    &
                        coupl(nGC_207)*coupl(nGC_208) + 10d0*cima*coupl(nGC_124&
                        )*coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_212) + 10d0* &
                        cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223)*coupl&
                        (nGC_224) - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207 &
                        )*coupl(nGC_208) - 8d0*cima*coupl(nGC_128)**2d0*coupl( &
                        nGC_211)*coupl(nGC_212) - 8d0*cima*coupl(nGC_128)**2d0*&
                        coupl(nGC_223)*coupl(nGC_224) + 3d0*cima*coupl(nGC_85)*&
                        coupl(nGC_92) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_92   &
                        ) + 3d0*coupl(nGC_565)**2d0*coupl(nGC_92))/(24d0*pi**  &
                        2d0)
      coupl(nGC_1599) = (18d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(     &
                        nGC_102)**2d0*coupl(nGC_565)**2d0 - 8d0*cima*coupl(    &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_531)*coupl(nGC_565   &
                        ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_531 &
                        )*coupl(nGC_571) - 8d0*cima*coupl(nGC_102)*coupl(nGC_4 &
                        )*coupl(nGC_565)*coupl(nGC_571) - 4d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_531)**2d0 - 8d0*cima*coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_531)*coupl(nGC_535) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_535)*   &
                        coupl(nGC_565) + 6d0*cima*coupl(nGC_116)**2d0 - 4d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_535)**2d0 - 8d0*cima* &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_535)*coupl(nGC_571 &
                        ) - 4d0*cima*coupl(nGC_4)**2d0*coupl(nGC_571)**2d0 +   &
                        6d0*cima*coupl(nGC_625)**2d0 + 3d0*cima*coupl(nGC_85)**&
                        2d0 + 3d0*cima*coupl(nGC_9)**2d0 + 18d0*cima*coupl(    &
                        nGC_99)**4d0 + 6d0*coupl(nGC_102)*coupl(nGC_116)*coupl(&
                        nGC_571) + 6d0*coupl(nGC_102)*coupl(nGC_565)*coupl(    &
                        nGC_625) + 6d0*coupl(nGC_102)*coupl(nGC_565)*coupl(    &
                        nGC_85) + 6d0*coupl(nGC_103)*coupl(nGC_116)*coupl(     &
                        nGC_535) + 6d0*coupl(nGC_103)*coupl(nGC_531)*coupl(    &
                        nGC_625) + 6d0*coupl(nGC_103)*coupl(nGC_531)*coupl(    &
                        nGC_85) + 6d0*coupl(nGC_116)*coupl(nGC_3)*coupl(nGC_531&
                        ) + 6d0*coupl(nGC_116)*coupl(nGC_4)*coupl(nGC_565) +   &
                        6d0*coupl(nGC_3)*coupl(nGC_535)*coupl(nGC_625) + 6d0*  &
                        coupl(nGC_3)*coupl(nGC_535)*coupl(nGC_9) + 6d0*coupl(  &
                        nGC_4)*coupl(nGC_571)*coupl(nGC_625) + 6d0*coupl(nGC_4 &
                        )*coupl(nGC_571)*coupl(nGC_9))/(48d0*pi**2d0)
      coupl(nGC_1598) = (-30d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(    &
                        nGC_102)**2d0*coupl(nGC_565)**2d0 - 8d0*cima*coupl(    &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_531)*coupl(nGC_565   &
                        ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_531 &
                        )*coupl(nGC_571) - 8d0*cima*coupl(nGC_102)*coupl(nGC_4 &
                        )*coupl(nGC_565)*coupl(nGC_571) - 4d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_531)**2d0 - 8d0*cima*coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_531)*coupl(nGC_535) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_535)*   &
                        coupl(nGC_565) - 4d0*cima*coupl(nGC_3)**2d0*coupl(     &
                        nGC_535)**2d0 - 8d0*cima*coupl(nGC_3)*coupl(nGC_4)*    &
                        coupl(nGC_535)*coupl(nGC_571) - 4d0*cima*coupl(nGC_4)**&
                        2d0*coupl(nGC_571)**2d0 + 3d0*cima*coupl(nGC_75)**2d0  &
                         - 30d0*cima*coupl(nGC_99)**4d0 + 6d0*coupl(nGC_102)*  &
                        coupl(nGC_531)*coupl(nGC_75) + 6d0*coupl(nGC_103)*coupl&
                        (nGC_565)*coupl(nGC_75) + 6d0*coupl(nGC_3)*coupl(      &
                        nGC_571)*coupl(nGC_75) + 6d0*coupl(nGC_4)*coupl(nGC_535&
                        )*coupl(nGC_75))/(48d0*pi**2d0)
      coupl(nGC_2255) = -coupl(nGC_1365)
      coupl(nGC_2257) = -coupl(nGC_1346)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
