!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(4800)%branch(0:0))
      call av(4800, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4801)%branch(0:0))
      call av(4801, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4802)%branch(0:0))
      call av(4802, 0, 85, 1, 0, VFFa0, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(4803)%branch(0:0))
      call av(4803, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(4804)%branch(0:0))
      call av(4804, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4805)%branch(0:0))
      call av(4805, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_148/))

      allocate(vertices(4806)%branch(0:0))
      call av(4806, 0, 85, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(4807)%branch(0:0))
      call av(4807, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(4808)%branch(0:0))
      call av(4808, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_84, nGC_85, nGC_86/))

      allocate(vertices(4809)%branch(0:0))
      call av(4809, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(4810)%branch(0:0))
      call av(4810, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_46/))

      allocate(vertices(4811)%branch(0:0))
      call av(4811, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4812)%branch(0:0))
      call av(4812, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4813)%branch(0:0))
      call av(4813, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4814)%branch(0:0))
      call av(4814, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4815)%branch(0:0))
      call av(4815, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4816)%branch(0:0))
      call av(4816, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_154/))

      allocate(vertices(4817)%branch(0:0))
      call av(4817, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4818)%branch(0:0))
      call av(4818, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_179/))

      allocate(vertices(4819)%branch(0:0))
      call av(4819, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4820)%branch(0:0))
      call av(4820, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4821)%branch(0:0))
      call av(4821, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_617/))

      allocate(vertices(4822)%branch(0:0))
      call av(4822, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4823)%branch(0:0))
      call av(4823, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_635/))

      allocate(vertices(4824)%branch(0:0))
      call av(4824, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4825)%branch(0:0))
      call av(4825, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(4826)%branch(0:0))
      call av(4826, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_78/))

      allocate(vertices(4827)%branch(0:0))
      call av(4827, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_211, nGC_211/))

      allocate(vertices(4828)%branch(0:0))
      call av(4828, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4829)%branch(0:0))
      call av(4829, 0, 1, 1, 0, SFFa0, (/0, 1/), (/nGC_211, nGC_211/))

      allocate(vertices(4830)%branch(0:0))
      call av(4830, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_84/))

      allocate(vertices(4831)%branch(0:0))
      call av(4831, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_8, nGC_541, nGC_8/))

      allocate(vertices(4832)%branch(0:0))
      call av(4832, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4833)%branch(0:0))
      call av(4833, 0, 84, 1, 0, SFaF0, (/0, 1/), (/nGC_227, nGC_227/))

      allocate(vertices(4834)%branch(0:0))
      call av(4834, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4835)%branch(0:0))
      call av(4835, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_81/))

      allocate(vertices(4836)%branch(0:0))
      call av(4836, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4837)%branch(0:0))
      call av(4837, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4838)%branch(0:0))
      call av(4838, 0, 1, 1, 0, FaFV0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4839)%branch(0:0))
      call av(4839, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4840)%branch(0:0))
      call av(4840, 0, 1, 1, 0, FaFS2, (/0, 1/), (/nGC_209/))

      allocate(vertices(4841)%branch(0:0))
      call av(4841, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4842)%branch(0:0))
      call av(4842, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4843)%branch(0:0))
      call av(4843, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4844)%branch(0:0))
      call av(4844, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4845)%branch(0:0))
      call av(4845, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4846)%branch(0:0))
      call av(4846, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4847)%branch(0:0))
      call av(4847, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4848)%branch(0:0))
      call av(4848, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_112/))

      allocate(vertices(4849)%branch(0:0))
      call av(4849, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_8, nGC_8, nGC_541/))

      allocate(vertices(4850)%branch(0:0))
      call av(4850, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_191/))

      allocate(vertices(4851)%branch(0:0))
      call av(4851, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(4852)%branch(0:0))
      call av(4852, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_121/))

      allocate(vertices(4853)%branch(0:0))
      call av(4853, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4854)%branch(0:0))
      call av(4854, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4855)%branch(0:0))
      call av(4855, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_178/))

      allocate(vertices(4856)%branch(0:0))
      call av(4856, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_60/))

      allocate(vertices(4857)%branch(0:0))
      call av(4857, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4858)%branch(0:0))
      call av(4858, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(4859)%branch(0:0))
      call av(4859, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4860)%branch(0:0))
      call av(4860, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4861)%branch(0:0))
      call av(4861, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4862)%branch(0:0))
      call av(4862, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(4863)%branch(0:0))
      call av(4863, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(4864)%branch(0:0))
      call av(4864, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_224, nGC_224/))

      allocate(vertices(4865)%branch(0:0))
      call av(4865, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4866)%branch(0:0))
      call av(4866, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4867)%branch(0:0))
      call av(4867, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_138/))

      allocate(vertices(4868)%branch(0:0))
      call av(4868, 0, 1, 1, 0, VVV1, (/0, 1/), (/nGC_103/))

      allocate(vertices(4869)%branch(0:0))
      call av(4869, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_86/))

      allocate(vertices(4870)%branch(0:0))
      call av(4870, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4871)%branch(0:0))
      call av(4871, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4872)%branch(0:0))
      call av(4872, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(4873)%branch(0:0))
      call av(4873, 0, 85, 1, 0, VFFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4874)%branch(0:0))
      call av(4874, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4875)%branch(0:0))
      call av(4875, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_143/))

      allocate(vertices(4876)%branch(0:0))
      call av(4876, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4877)%branch(0:0))
      call av(4877, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4878)%branch(0:0))
      call av(4878, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4879)%branch(0:0))
      call av(4879, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4880)%branch(0:0))
      call av(4880, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_547/))

      allocate(vertices(4881)%branch(0:0))
      call av(4881, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4882)%branch(0:0))
      call av(4882, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(4883)%branch(0:0))
      call av(4883, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4884)%branch(0:0))
      call av(4884, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4885)%branch(0:0))
      call av(4885, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4886)%branch(0:0))
      call av(4886, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4887)%branch(0:0))
      call av(4887, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_132/))

      allocate(vertices(4888)%branch(0:0))
      call av(4888, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4889)%branch(0:0))
      call av(4889, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(4890)%branch(0:0))
      call av(4890, 0, 85, 1, 0, VFFa0, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(4891)%branch(0:0))
      call av(4891, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_89/))

      allocate(vertices(4892)%branch(0:0))
      call av(4892, 0, 87, 1, 0, FSFa0, (/0, 1/), (/nGC_225, nGC_201/))

      allocate(vertices(4893)%branch(0:0))
      call av(4893, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4894)%branch(0:0))
      call av(4894, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4895)%branch(0:0))
      call av(4895, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4896)%branch(0:0))
      call av(4896, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4897)%branch(0:0))
      call av(4897, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(4898)%branch(0:0))
      call av(4898, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(4899)%branch(0:0))
      call av(4899, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_84/))

      allocate(vertices(4900)%branch(0:0))
      call av(4900, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4901)%branch(0:0))
      call av(4901, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4902)%branch(0:0))
      call av(4902, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_148/))

      allocate(vertices(4903)%branch(0:0))
      call av(4903, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4904)%branch(0:0))
      call av(4904, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4905)%branch(0:0))
      call av(4905, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_140/))

      allocate(vertices(4906)%branch(0:0))
      call av(4906, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4907)%branch(0:0))
      call av(4907, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4908)%branch(0:0))
      call av(4908, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_209/))

      allocate(vertices(4909)%branch(0:0))
      call av(4909, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4910)%branch(0:0))
      call av(4910, 0, 85, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(4911)%branch(0:3))
      call av(4911, 0, 112, 7, 0, VVUaU0, (/2, 0/), (/nGC_21/))

      call av(4911, 1, 115, 6, 0, VVUaU0, (/2, 0/), (/nGC_21/))

      call av(4911, 2, 113, 6, 0, VVUaU0, (/2, 0/), (/nGC_21/))

      call av(4911, 3, 114, 7, 0, VVUaU0, (/2, 0/), (/nGC_21/))

      allocate(vertices(4912)%branch(0:0))
      call av(4912, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(4913)%branch(0:0))
      call av(4913, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_144/))

      allocate(vertices(4914)%branch(0:0))
      call av(4914, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4915)%branch(0:0))
      call av(4915, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4916)%branch(0:0))
      call av(4916, 0, 84, 1, 0, SFaF0, (/0, 1/), (/nGC_196, nGC_196/))

      allocate(vertices(4917)%branch(0:0))
      call av(4917, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4918)%branch(0:0))
      call av(4918, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_118/))

      allocate(vertices(4919)%branch(0:0))
      call av(4919, 0, 1, 1, 0, VVV0, (/0, 1/), (/nGC_3/))

      allocate(vertices(4920)%branch(0:0))
      call av(4920, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4921)%branch(0:0))
      call av(4921, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4922)%branch(0:0))
      call av(4922, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_154/))

      allocate(vertices(4923)%branch(0:0))
      call av(4923, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4924)%branch(0:0))
      call av(4924, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4925)%branch(0:0))
      call av(4925, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4926)%branch(0:0))
      call av(4926, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_141/))

      allocate(vertices(4927)%branch(0:0))
      call av(4927, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4928)%branch(0:0))
      call av(4928, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4929)%branch(0:0))
      call av(4929, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_162/))

      allocate(vertices(4930)%branch(0:0))
      call av(4930, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4931)%branch(0:0))
      call av(4931, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4932)%branch(0:0))
      call av(4932, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4933)%branch(0:0))
      call av(4933, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4934)%branch(0:0))
      call av(4934, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_76/))

      allocate(vertices(4935)%branch(0:0))
      call av(4935, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4936)%branch(0:0))
      call av(4936, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_76/))

      allocate(vertices(4937)%branch(0:0))
      call av(4937, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_9/))

      allocate(vertices(4938)%branch(0:0))
      call av(4938, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4939)%branch(0:0))
      call av(4939, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4940)%branch(0:0))
      call av(4940, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_151/))

      allocate(vertices(4941)%branch(0:0))
      call av(4941, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4942)%branch(0:0))
      call av(4942, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_147/))

      allocate(vertices(4943)%branch(0:0))
      call av(4943, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_78/))

      allocate(vertices(4944)%branch(0:0))
      call av(4944, 0, 84, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4945)%branch(0:0))
      call av(4945, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_9/))

      allocate(vertices(4946)%branch(0:0))
      call av(4946, 0, 86, 1, 0, FaSF0, (/0, 1/), (/nGC_214, nGC_623/))

      allocate(vertices(4947)%branch(0:0))
      call av(4947, 0, 87, 1, 0, FVFa1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(4948)%branch(0:0))
      call av(4948, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4949)%branch(0:0))
      call av(4949, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4950)%branch(0:0))
      call av(4950, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_151/))

      allocate(vertices(4951)%branch(0:0))
      call av(4951, 0, 1, 1, 0, UUaV1, (/0, 1/), (/nGC_595/))

      allocate(vertices(4952)%branch(0:0))
      call av(4952, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_223, nGC_223/))

      allocate(vertices(4953)%branch(0:0))
      call av(4953, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4954)%branch(0:0))
      call av(4954, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4955)%branch(0:0))
      call av(4955, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_48/))

      allocate(vertices(4956)%branch(0:0))
      call av(4956, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4957)%branch(0:0))
      call av(4957, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4958)%branch(0:0))
      call av(4958, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4959)%branch(0:0))
      call av(4959, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_145/))

      allocate(vertices(4960)%branch(0:0))
      call av(4960, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4961)%branch(0:0))
      call av(4961, 0, 86, 1, 0, FaSF0, (/0, 1/), (/nGC_194, nGC_587/))

      allocate(vertices(4962)%branch(0:0))
      call av(4962, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4963)%branch(0:0))
      call av(4963, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4964)%branch(0:0))
      call av(4964, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_537/))

      allocate(vertices(4965)%branch(0:0))
      call av(4965, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4966)%branch(0:0))
      call av(4966, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4967)%branch(0:0))
      call av(4967, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4968)%branch(0:0))
      call av(4968, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_86/))

      allocate(vertices(4969)%branch(0:0))
      call av(4969, 0, 1, 1, 0, FSFa1, (/0, 1/), (/nGC_209/))

      allocate(vertices(4970)%branch(0:0))
      call av(4970, 0, 84, 1, 0, SFaF0, (/0, 1/), (/nGC_204, nGC_204/))

      allocate(vertices(4971)%branch(0:0))
      call av(4971, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4972)%branch(0:0))
      call av(4972, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_92/))

      allocate(vertices(4973)%branch(0:0))
      call av(4973, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(4974)%branch(0:0))
      call av(4974, 0, 85, 1, 0, SFFa0, (/0, 1/), (/nGC_216, nGC_216/))

      allocate(vertices(4975)%branch(0:0))
      call av(4975, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3215)%branchCT(0:0))
      call avCT(3215, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_1878/))

      allocate(vertices(1)%branchCT(0:3))
      call avCT(1, 0, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(1, 1, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_1879, nGC_1881/))

      call avCT(1, 2, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_1880, nGC_1882/))

      call avCT(1, 3, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_1879, nGC_1881/))

      allocate(vertices(3654)%branchCT(0:0))
      call avCT(3654, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4)%branchCT(0:1))
      call avCT(4, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1885, nGC_1887/))

      call avCT(4, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1886, nGC_1888/))

      allocate(vertices(2547)%branchCT(0:0))
      call avCT(2547, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2203)%branchCT(0:0))
      call avCT(2203, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(46)%branchCT(0:0))
      call avCT(46, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2409)%branchCT(0:0))
      call avCT(2409, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1891/))

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3655)%branchCT(0:0))
      call avCT(3655, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3027)%branchCT(0:0))
      call avCT(3027, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1896/))

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(2405)%branchCT(0:0))
      call avCT(2405, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1898/))

      allocate(vertices(2419)%branchCT(0:0))
      call avCT(2419, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(21)%branchCT(0:1))
      call avCT(21, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1900, nGC_1902/))

      call avCT(21, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1901, nGC_1903/))

      allocate(vertices(2821)%branchCT(0:0))
      call avCT(2821, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2423)%branchCT(0:0))
      call avCT(2423, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4976)%branchCT(0:0))
      call avCT(4976, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1905/))

      allocate(vertices(4977)%branchCT(0:0))
      call avCT(4977, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(4879)%branchCT(0:0))
      call avCT(4879, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1910/))

      allocate(vertices(2428)%branchCT(0:0))
      call avCT(2428, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(2429)%branchCT(0:0))
      call avCT(2429, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3661)%branchCT(0:0))
      call avCT(3661, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(31)%branchCT(0:1))
      call avCT(31, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_1915, nGC_1917/))

      call avCT(31, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_1916, nGC_1918/))

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4978)%branchCT(0:0))
      call avCT(4978, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1919, nGC_1920/))

      allocate(vertices(2827)%branchCT(0:0))
      call avCT(2827, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2438)%branchCT(0:0))
      call avCT(2438, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1607)%branchCT(0:0))
      call avCT(1607, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1921/))

      allocate(vertices(37)%branchCT(0:0))
      call avCT(37, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1896/))

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4979)%branchCT(0:0))
      call avCT(4979, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1922/))

      allocate(vertices(2442)%branchCT(0:0))
      call avCT(2442, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1923/))

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3586)%branchCT(0:0))
      call avCT(3586, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2444)%branchCT(0:0))
      call avCT(2444, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(4859)%branchCT(0:0))
      call avCT(4859, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4088)%branchCT(0:0))
      call avCT(4088, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1926/))

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2452)%branchCT(0:1))
      call avCT(2452, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(2452, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(2453)%branchCT(0:0))
      call avCT(2453, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2390)%branchCT(0:1))
      call avCT(2390, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1933, nGC_1935/))

      call avCT(2390, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1934, nGC_1936/))

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(2458)%branchCT(0:0))
      call avCT(2458, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2992)%branchCT(0:0))
      call avCT(2992, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2461)%branchCT(0:0))
      call avCT(2461, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2463)%branchCT(0:0))
      call avCT(2463, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1896/))

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(4005)%branchCT(0:0))
      call avCT(4005, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(2465)%branchCT(0:0))
      call avCT(2465, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(65)%branchCT(0:0))
      call avCT(65, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1343)%branchCT(0:0))
      call avCT(1343, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2468)%branchCT(0:0))
      call avCT(2468, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(4090)%branchCT(0:0))
      call avCT(4090, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1666)%branchCT(0:0))
      call avCT(1666, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2471)%branchCT(0:0))
      call avCT(2471, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2474)%branchCT(0:0))
      call avCT(2474, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1899)%branchCT(0:3))
      call avCT(1899, 0, 88, 2, 0, FaVF1, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(1899, 1, 88, 2, 0, FaVF1, (/3, 0/), (/nGC_1946, nGC_1948/))

      call avCT(1899, 2, 89, 3, 0, FaVF1, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(1899, 3, 89, 3, 0, FaVF1, (/3, 0/), (/nGC_1946, nGC_1948/))

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2476)%branchCT(0:0))
      call avCT(2476, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2477)%branchCT(0:0))
      call avCT(2477, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2478)%branchCT(0:0))
      call avCT(2478, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1950, nGC_1951/))

      allocate(vertices(449)%branchCT(0:0))
      call avCT(449, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2482)%branchCT(0:1))
      call avCT(2482, 0, 100, 5, 0, UUaV1, (/3, 0/), (/nGC_1952/))

      call avCT(2482, 1, 101, 4, 0, UUaV1, (/3, 0/), (/nGC_1952/))

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(2484)%branchCT(0:0))
      call avCT(2484, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1953/))

      allocate(vertices(4980)%branchCT(0:0))
      call avCT(4980, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1954, nGC_1955/))

      allocate(vertices(416)%branchCT(0:0))
      call avCT(416, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(78)%branchCT(0:0))
      call avCT(78, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2488)%branchCT(0:0))
      call avCT(2488, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2489)%branchCT(0:0))
      call avCT(2489, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2490)%branchCT(0:0))
      call avCT(2490, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4348)%branchCT(0:1))
      call avCT(4348, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1957, nGC_1959/))

      call avCT(4348, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1958, nGC_1960/))

      allocate(vertices(4665)%branchCT(0:0))
      call avCT(4665, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1961/))

      allocate(vertices(2908)%branchCT(0:0))
      call avCT(2908, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(84)%branchCT(0:1))
      call avCT(84, 0, 85, 1, 0, VFFa1, (/0, 3/), (/nGC_1962/))

      call avCT(84, 1, 85, 1, 0, VFFa1, (/2, 1/), (/nGC_1963/))

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(85)%branchCT(0:0))
      call avCT(85, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1964/))

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(89)%branchCT(0:0))
      call avCT(89, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2496)%branchCT(0:0))
      call avCT(2496, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1965/))

      allocate(vertices(4981)%branchCT(0:0))
      call avCT(4981, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(2497)%branchCT(0:0))
      call avCT(2497, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1617)%branchCT(0:0))
      call avCT(1617, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2499)%branchCT(0:0))
      call avCT(2499, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(92)%branchCT(0:0))
      call avCT(92, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2501)%branchCT(0:0))
      call avCT(2501, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3717)%branchCT(0:0))
      call avCT(3717, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2398)%branchCT(0:0))
      call avCT(2398, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2506)%branchCT(0:0))
      call avCT(2506, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(2507)%branchCT(0:0))
      call avCT(2507, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1969, nGC_1970,       &
      nGC_1969/))

      allocate(vertices(2407)%branchCT(0:0))
      call avCT(2407, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2509)%branchCT(0:1))
      call avCT(2509, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(2509, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(2510)%branchCT(0:0))
      call avCT(2510, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4031)%branchCT(0:1))
      call avCT(4031, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1975, nGC_1977/))

      call avCT(4031, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1976, nGC_1978/))

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3264)%branchCT(0:0))
      call avCT(3264, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(2513)%branchCT(0:0))
      call avCT(2513, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1355)%branchCT(0:0))
      call avCT(1355, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1980, nGC_1981/))

      allocate(vertices(1621)%branchCT(0:0))
      call avCT(1621, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(105)%branchCT(0:1))
      call avCT(105, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1982, nGC_1982/))

      call avCT(105, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1983, nGC_1983/))

      allocate(vertices(4982)%branchCT(0:0))
      call avCT(4982, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2517)%branchCT(0:0))
      call avCT(2517, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(2519)%branchCT(0:0))
      call avCT(2519, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4983)%branchCT(0:0))
      call avCT(4983, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1986, nGC_1987,       &
      nGC_1987, nGC_1988/))

      allocate(vertices(690)%branchCT(0:0))
      call avCT(690, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2849)%branchCT(0:1))
      call avCT(2849, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(2849, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(4984)%branchCT(0:0))
      call avCT(4984, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1989, nGC_1990,       &
      nGC_1990, nGC_1991/))

      allocate(vertices(2999)%branchCT(0:0))
      call avCT(2999, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2530)%branchCT(0:0))
      call avCT(2530, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1953/))

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4667)%branchCT(0:0))
      call avCT(4667, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1992/))

      allocate(vertices(3268)%branchCT(0:0))
      call avCT(3268, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4607)%branchCT(0:0))
      call avCT(4607, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(124)%branchCT(0:0))
      call avCT(124, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2536)%branchCT(0:0))
      call avCT(2536, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1993, nGC_1993/))

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4589)%branchCT(0:0))
      call avCT(4589, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1624)%branchCT(0:0))
      call avCT(1624, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2542)%branchCT(0:1))
      call avCT(2542, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(2542, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(2839)%branchCT(0:0))
      call avCT(2839, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(132)%branchCT(0:0))
      call avCT(132, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1188)%branchCT(0:0))
      call avCT(1188, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(2546)%branchCT(0:0))
      call avCT(2546, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2567)%branchCT(0:0))
      call avCT(2567, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1898/))

      allocate(vertices(2844)%branchCT(0:0))
      call avCT(2844, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1996, nGC_1996/))

      allocate(vertices(141)%branchCT(0:0))
      call avCT(141, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1225)%branchCT(0:0))
      call avCT(1225, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(143)%branchCT(0:0))
      call avCT(143, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2122)%branchCT(0:0))
      call avCT(2122, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(4521)%branchCT(0:1))
      call avCT(4521, 0, 87, 1, 0, FVFa0, (/0, 3/), (/nGC_1997/))

      call avCT(4521, 1, 87, 1, 0, FVFa0, (/2, 1/), (/nGC_1998/))

      allocate(vertices(2558)%branchCT(0:1))
      call avCT(2558, 0, 86, 1, 0, FaVF0, (/0, 3/), (/nGC_1962/))

      call avCT(2558, 1, 86, 1, 0, FaVF0, (/2, 1/), (/nGC_1963/))

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(145)%branchCT(0:3))
      call avCT(145, 0, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(145, 1, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_2000, nGC_2002/))

      call avCT(145, 2, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(145, 3, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_2000, nGC_2002/))

      allocate(vertices(146)%branchCT(0:0))
      call avCT(146, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(2561)%branchCT(0:0))
      call avCT(2561, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(2563)%branchCT(0:0))
      call avCT(2563, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(2564)%branchCT(0:1))
      call avCT(2564, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(2564, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(1628)%branchCT(0:0))
      call avCT(1628, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(4805)%branchCT(0:0))
      call avCT(4805, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(157)%branchCT(0:0))
      call avCT(157, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1226)%branchCT(0:0))
      call avCT(1226, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4985)%branchCT(0:0))
      call avCT(4985, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2008/))

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(2572)%branchCT(0:0))
      call avCT(2572, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2573)%branchCT(0:0))
      call avCT(2573, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2574)%branchCT(0:0))
      call avCT(2574, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2575)%branchCT(0:0))
      call avCT(2575, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2576)%branchCT(0:0))
      call avCT(2576, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2577)%branchCT(0:0))
      call avCT(2577, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(4986)%branchCT(0:0))
      call avCT(4986, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2579)%branchCT(0:0))
      call avCT(2579, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2848)%branchCT(0:0))
      call avCT(2848, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2582)%branchCT(0:0))
      call avCT(2582, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1228)%branchCT(0:0))
      call avCT(1228, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2585)%branchCT(0:0))
      call avCT(2585, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(27)%branchCT(0:1))
      call avCT(27, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2011, nGC_2011/))

      call avCT(27, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2012, nGC_2012/))

      allocate(vertices(4987)%branchCT(0:0))
      call avCT(4987, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(1043)%branchCT(0:0))
      call avCT(1043, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(4802)%branchCT(0:1))
      call avCT(4802, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_1957, nGC_1959/))

      call avCT(4802, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_1958, nGC_1960/))

      allocate(vertices(2587)%branchCT(0:0))
      call avCT(2587, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4661)%branchCT(0:0))
      call avCT(4661, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(431)%branchCT(0:0))
      call avCT(431, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(2068)%branchCT(0:0))
      call avCT(2068, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4988)%branchCT(0:0))
      call avCT(4988, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2014/))

      allocate(vertices(2589)%branchCT(0:0))
      call avCT(2589, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2015/))

      allocate(vertices(2590)%branchCT(0:0))
      call avCT(2590, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2591)%branchCT(0:0))
      call avCT(2591, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2592)%branchCT(0:0))
      call avCT(2592, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2016, nGC_2017/))

      allocate(vertices(2030)%branchCT(0:0))
      call avCT(2030, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(2596)%branchCT(0:0))
      call avCT(2596, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4659)%branchCT(0:0))
      call avCT(4659, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2602)%branchCT(0:1))
      call avCT(2602, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_1933, nGC_1935/))

      call avCT(2602, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_1934, nGC_1936/))

      allocate(vertices(1110)%branchCT(0:0))
      call avCT(1110, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1898/))

      allocate(vertices(2604)%branchCT(0:0))
      call avCT(2604, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1898/))

      allocate(vertices(2605)%branchCT(0:0))
      call avCT(2605, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2016, nGC_2017/))

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(183)%branchCT(0:0))
      call avCT(183, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1898/))

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3014)%branchCT(0:0))
      call avCT(3014, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(2432)%branchCT(0:0))
      call avCT(2432, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3936)%branchCT(0:0))
      call avCT(3936, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2611)%branchCT(0:0))
      call avCT(2611, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2613)%branchCT(0:0))
      call avCT(2613, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2614)%branchCT(0:0))
      call avCT(2614, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(2615)%branchCT(0:0))
      call avCT(2615, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2022,       &
      nGC_2021/))

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2023/))

      allocate(vertices(2618)%branchCT(0:1))
      call avCT(2618, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(2618, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(2619)%branchCT(0:0))
      call avCT(2619, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2024/))

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2621)%branchCT(0:0))
      call avCT(2621, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4989)%branchCT(0:0))
      call avCT(4989, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2856)%branchCT(0:0))
      call avCT(2856, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4990)%branchCT(0:0))
      call avCT(4990, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(1234)%branchCT(0:1))
      call avCT(1234, 0, 87, 1, 0, FVFa0, (/0, 3/), (/nGC_2026/))

      call avCT(1234, 1, 87, 1, 0, FVFa0, (/2, 1/), (/nGC_2027/))

      allocate(vertices(1248)%branchCT(0:0))
      call avCT(1248, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2028/))

      allocate(vertices(2628)%branchCT(0:0))
      call avCT(2628, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(198)%branchCT(0:0))
      call avCT(198, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(4991)%branchCT(0:0))
      call avCT(4991, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1921/))

      allocate(vertices(2632)%branchCT(0:0))
      call avCT(2632, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4558)%branchCT(0:0))
      call avCT(4558, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2636)%branchCT(0:0))
      call avCT(2636, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(1859)%branchCT(0:0))
      call avCT(1859, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2639)%branchCT(0:0))
      call avCT(2639, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(2640)%branchCT(0:0))
      call avCT(2640, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(841)%branchCT(0:0))
      call avCT(841, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1205)%branchCT(0:0))
      call avCT(1205, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4992)%branchCT(0:0))
      call avCT(4992, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2025/))

      allocate(vertices(2646)%branchCT(0:0))
      call avCT(2646, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2030, nGC_2031/))

      allocate(vertices(2861)%branchCT(0:0))
      call avCT(2861, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2427)%branchCT(0:0))
      call avCT(2427, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1953/))

      allocate(vertices(2890)%branchCT(0:0))
      call avCT(2890, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1953/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2648)%branchCT(0:0))
      call avCT(2648, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(2889)%branchCT(0:0))
      call avCT(2889, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2033, nGC_2033,        &
      nGC_2034/))

      allocate(vertices(2653)%branchCT(0:0))
      call avCT(2653, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2035/))

      allocate(vertices(1398)%branchCT(0:0))
      call avCT(1398, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2655)%branchCT(0:0))
      call avCT(2655, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2036, nGC_2037/))

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1241)%branchCT(0:0))
      call avCT(1241, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1412)%branchCT(0:0))
      call avCT(1412, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2038/))

      allocate(vertices(228)%branchCT(0:1))
      call avCT(228, 0, 87, 1, 0, FVFa0, (/0, 3/), (/nGC_2026/))

      call avCT(228, 1, 87, 1, 0, FVFa0, (/2, 1/), (/nGC_2027/))

      allocate(vertices(2661)%branchCT(0:0))
      call avCT(2661, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(230)%branchCT(0:1))
      call avCT(230, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_1982, nGC_1982/))

      call avCT(230, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_1983, nGC_1983/))

      allocate(vertices(1318)%branchCT(0:1))
      call avCT(1318, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(1318, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2663)%branchCT(0:0))
      call avCT(2663, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(1513)%branchCT(0:0))
      call avCT(1513, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(235)%branchCT(0:0))
      call avCT(235, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2666)%branchCT(0:0))
      call avCT(2666, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4125)%branchCT(0:0))
      call avCT(4125, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(239)%branchCT(0:1))
      call avCT(239, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(239, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(1491)%branchCT(0:0))
      call avCT(1491, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1637/))

      allocate(vertices(1501)%branchCT(0:0))
      call avCT(1501, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2672)%branchCT(0:1))
      call avCT(2672, 0, 87, 1, 0, FVFa1, (/0, 3/), (/nGC_2039, nGC_2041/))

      call avCT(2672, 1, 87, 1, 0, FVFa1, (/2, 1/), (/nGC_2040, nGC_2042/))

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(2446)%branchCT(0:0))
      call avCT(2446, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2677)%branchCT(0:1))
      call avCT(2677, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2043, nGC_2043/))

      call avCT(2677, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2044, nGC_2044/))

      allocate(vertices(2134)%branchCT(0:0))
      call avCT(2134, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2678)%branchCT(0:0))
      call avCT(2678, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(2681)%branchCT(0:0))
      call avCT(2681, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(3709)%branchCT(0:0))
      call avCT(3709, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(3424)%branchCT(0:0))
      call avCT(3424, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(255)%branchCT(0:1))
      call avCT(255, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_1885, nGC_1887/))

      call avCT(255, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_1886, nGC_1888/))

      allocate(vertices(2321)%branchCT(0:0))
      call avCT(2321, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1919, nGC_1920/))

      allocate(vertices(1647)%branchCT(0:0))
      call avCT(1647, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(266)%branchCT(0:1))
      call avCT(266, 0, 2, 5, 0, VVV1, (/3, 0/), (/nGC_2047/))

      call avCT(266, 1, 3, 4, 0, VVV1, (/3, 0/), (/nGC_2047/))

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2690)%branchCT(0:0))
      call avCT(2690, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2691)%branchCT(0:0))
      call avCT(2691, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3378)%branchCT(0:0))
      call avCT(3378, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2693)%branchCT(0:0))
      call avCT(2693, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(2696)%branchCT(0:0))
      call avCT(2696, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1937/))

      allocate(vertices(2697)%branchCT(0:0))
      call avCT(2697, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1712)%branchCT(0:0))
      call avCT(1712, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1967/))

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2048/))

      allocate(vertices(2870)%branchCT(0:0))
      call avCT(2870, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(3743)%branchCT(0:0))
      call avCT(3743, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2702)%branchCT(0:0))
      call avCT(2702, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(288)%branchCT(0:1))
      call avCT(288, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(288, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2021, nGC_2021,        &
      nGC_2022/))

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1993, nGC_1993/))

      allocate(vertices(2703)%branchCT(0:0))
      call avCT(2703, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2704)%branchCT(0:1))
      call avCT(2704, 0, 86, 1, 0, FaVF0, (/0, 3/), (/nGC_1962/))

      call avCT(2704, 1, 86, 1, 0, FaVF0, (/2, 1/), (/nGC_1963/))

      allocate(vertices(4129)%branchCT(0:0))
      call avCT(4129, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3997)%branchCT(0:0))
      call avCT(3997, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(2454)%branchCT(0:0))
      call avCT(2454, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1797)%branchCT(0:0))
      call avCT(1797, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2711)%branchCT(0:1))
      call avCT(2711, 0, 85, 1, 0, VFFa1, (/0, 3/), (/nGC_1997/))

      call avCT(2711, 1, 85, 1, 0, VFFa1, (/2, 1/), (/nGC_1998/))

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2045/))

      allocate(vertices(2018)%branchCT(0:0))
      call avCT(2018, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1919, nGC_1920/))

      allocate(vertices(2715)%branchCT(0:1))
      call avCT(2715, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2049, nGC_2049/))

      call avCT(2715, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2050, nGC_2050/))

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1692)%branchCT(0:0))
      call avCT(1692, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1926/))

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(307)%branchCT(0:1))
      call avCT(307, 0, 85, 1, 0, VFFa1, (/0, 3/), (/nGC_2026/))

      call avCT(307, 1, 85, 1, 0, VFFa1, (/2, 1/), (/nGC_2027/))

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(2365)%branchCT(0:0))
      call avCT(2365, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3957)%branchCT(0:0))
      call avCT(3957, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2725)%branchCT(0:0))
      call avCT(2725, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4581)%branchCT(0:0))
      call avCT(4581, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1885)%branchCT(0:0))
      call avCT(1885, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2051/))

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2118)%branchCT(0:0))
      call avCT(2118, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(3296)%branchCT(0:0))
      call avCT(3296, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1935)%branchCT(0:0))
      call avCT(1935, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3835)%branchCT(0:0))
      call avCT(3835, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2052/))

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(323)%branchCT(0:1))
      call avCT(323, 0, 2, 5, 0, UaUV0, (/3, 0/), (/nGC_2053/))

      call avCT(323, 1, 3, 4, 0, UaUV0, (/3, 0/), (/nGC_2053/))

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1898/))

      allocate(vertices(4404)%branchCT(0:0))
      call avCT(4404, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(4585)%branchCT(0:1))
      call avCT(4585, 0, 85, 1, 0, VFFa0, (/0, 3/), (/nGC_2004, nGC_2006/))

      call avCT(4585, 1, 85, 1, 0, VFFa0, (/2, 1/), (/nGC_2005, nGC_2007/))

      allocate(vertices(4067)%branchCT(0:0))
      call avCT(4067, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3699)%branchCT(0:0))
      call avCT(3699, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(1997)%branchCT(0:0))
      call avCT(1997, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(3566)%branchCT(0:0))
      call avCT(3566, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(337)%branchCT(0:1))
      call avCT(337, 0, 106, 5, 0, VUaU1, (/3, 0/), (/nGC_2053/))

      call avCT(337, 1, 107, 4, 0, VUaU1, (/3, 0/), (/nGC_2053/))

      allocate(vertices(3298)%branchCT(0:0))
      call avCT(3298, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2013)%branchCT(0:0))
      call avCT(2013, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1908/))

      allocate(vertices(2021)%branchCT(0:0))
      call avCT(2021, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1891/))

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(2048)%branchCT(0:0))
      call avCT(2048, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2748)%branchCT(0:1))
      call avCT(2748, 0, 86, 1, 0, FaVF1, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(2748, 1, 86, 1, 0, FaVF1, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(2057)%branchCT(0:0))
      call avCT(2057, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4993)%branchCT(0:0))
      call avCT(4993, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(345)%branchCT(0:1))
      call avCT(345, 0, 85, 1, 0, SFFa0, (/0, 3/), (/nGC_2058, nGC_2060/))

      call avCT(345, 1, 85, 1, 0, SFFa0, (/2, 1/), (/nGC_2059, nGC_2061/))

      allocate(vertices(2755)%branchCT(0:0))
      call avCT(2755, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(348)%branchCT(0:1))
      call avCT(348, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2062, nGC_2062/))

      call avCT(348, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2063, nGC_2063/))

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 1, 1, 0, VUaU1, (/0, 3/), (/nGC_2064/))

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2065/))

      allocate(vertices(3723)%branchCT(0:0))
      call avCT(3723, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(4161)%branchCT(0:0))
      call avCT(4161, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(359)%branchCT(0:1))
      call avCT(359, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2066, nGC_2066/))

      call avCT(359, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2067, nGC_2067/))

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2068, nGC_2068/))

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(2695)%branchCT(0:0))
      call avCT(2695, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2069, nGC_2069/))

      allocate(vertices(2698)%branchCT(0:0))
      call avCT(2698, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2174)%branchCT(0:0))
      call avCT(2174, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2064/))

      allocate(vertices(4798)%branchCT(0:0))
      call avCT(4798, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2195)%branchCT(0:0))
      call avCT(2195, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(2208)%branchCT(0:0))
      call avCT(2208, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2891)%branchCT(0:0))
      call avCT(2891, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1942/))

      allocate(vertices(2786)%branchCT(0:0))
      call avCT(2786, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1896/))

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(382)%branchCT(0:1))
      call avCT(382, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_1975, nGC_1977/))

      call avCT(382, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_1976, nGC_1978/))

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1925/))

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(2268)%branchCT(0:0))
      call avCT(2268, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4994)%branchCT(0:1))
      call avCT(4994, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2071, nGC_2073,       &
      nGC_2073, nGC_2075/))

      call avCT(4994, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2072, nGC_2074,       &
      nGC_2074, nGC_2076/))

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2470)%branchCT(0:0))
      call avCT(2470, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(390)%branchCT(0:0))
      call avCT(390, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1883/))

      allocate(vertices(4614)%branchCT(0:0))
      call avCT(4614, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(3390)%branchCT(0:0))
      call avCT(3390, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2077/))

      allocate(vertices(4883)%branchCT(0:0))
      call avCT(4883, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(4744)%branchCT(0:0))
      call avCT(4744, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(400)%branchCT(0:1))
      call avCT(400, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_2066, nGC_2066/))

      call avCT(400, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_2067, nGC_2067/))

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(869)%branchCT(0:0))
      call avCT(869, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2080, nGC_2080/))

      allocate(vertices(2817)%branchCT(0:0))
      call avCT(2817, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(2402)%branchCT(0:0))
      call avCT(2402, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(405)%branchCT(0:1))
      call avCT(405, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_1975, nGC_1977/))

      call avCT(405, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_1976, nGC_1978/))

      allocate(vertices(4995)%branchCT(0:0))
      call avCT(4995, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2081/))

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1899/))

      allocate(vertices(4996)%branchCT(0:0))
      call avCT(4996, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1966/))

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4443)%branchCT(0:0))
      call avCT(4443, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(408)%branchCT(0:0))
      call avCT(408, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(2824)%branchCT(0:3))
      call avCT(2824, 0, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(2824, 1, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_2083, nGC_2085/))

      call avCT(2824, 2, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(2824, 3, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_2083, nGC_2085/))

      allocate(vertices(2067)%branchCT(0:0))
      call avCT(2067, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(4765)%branchCT(0:0))
      call avCT(4765, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2436)%branchCT(0:0))
      call avCT(2436, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(413)%branchCT(0:0))
      call avCT(413, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2833)%branchCT(0:1))
      call avCT(2833, 0, 84, 1, 0, VFaF0, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(2833, 1, 84, 1, 0, VFaF0, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(2836)%branchCT(0:1))
      call avCT(2836, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2086, nGC_2086/))

      call avCT(2836, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2087, nGC_2087/))

      allocate(vertices(2837)%branchCT(0:0))
      call avCT(2837, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1923/))

      allocate(vertices(1668)%branchCT(0:0))
      call avCT(1668, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2003/))

      allocate(vertices(421)%branchCT(0:3))
      call avCT(421, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(421, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_2083, nGC_2085/))

      call avCT(421, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_2082, nGC_2084/))

      call avCT(421, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_2083, nGC_2085/))

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2065/))

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2071)%branchCT(0:0))
      call avCT(2071, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2581)%branchCT(0:0))
      call avCT(2581, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2850)%branchCT(0:0))
      call avCT(2850, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2851)%branchCT(0:0))
      call avCT(2851, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4837)%branchCT(0:0))
      call avCT(4837, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(4538)%branchCT(0:0))
      call avCT(4538, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2853)%branchCT(0:0))
      call avCT(2853, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2854)%branchCT(0:1))
      call avCT(2854, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1957, nGC_1959/))

      call avCT(2854, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1958, nGC_1960/))

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2068, nGC_2068/))

      allocate(vertices(2858)%branchCT(0:0))
      call avCT(2858, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(4151)%branchCT(0:0))
      call avCT(4151, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2859)%branchCT(0:0))
      call avCT(2859, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(440)%branchCT(0:1))
      call avCT(440, 0, 87, 1, 0, FSFa0, (/0, 3/), (/nGC_2090, nGC_2090/))

      call avCT(440, 1, 87, 1, 0, FSFa0, (/2, 1/), (/nGC_2091, nGC_2091/))

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1953/))

      allocate(vertices(1270)%branchCT(0:0))
      call avCT(1270, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1911/))

      allocate(vertices(4322)%branchCT(0:0))
      call avCT(4322, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2092/))

      allocate(vertices(4139)%branchCT(0:0))
      call avCT(4139, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2865)%branchCT(0:0))
      call avCT(2865, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2866)%branchCT(0:0))
      call avCT(2866, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2022, nGC_2021,       &
      nGC_2021/))

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2093, nGC_2094/))

      allocate(vertices(2868)%branchCT(0:0))
      call avCT(2868, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1534)%branchCT(0:0))
      call avCT(1534, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(451)%branchCT(0:3))
      call avCT(451, 0, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(451, 1, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_1946, nGC_1948/))

      call avCT(451, 2, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_1947, nGC_1949/))

      call avCT(451, 3, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_1946, nGC_1948/))

      allocate(vertices(875)%branchCT(0:0))
      call avCT(875, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2871)%branchCT(0:1))
      call avCT(2871, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1933, nGC_1935/))

      call avCT(2871, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1934, nGC_1936/))

      allocate(vertices(455)%branchCT(0:0))
      call avCT(455, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2873)%branchCT(0:3))
      call avCT(2873, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(2873, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_2000, nGC_2002/))

      call avCT(2873, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_1999, nGC_2001/))

      call avCT(2873, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_2000, nGC_2002/))

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1979/))

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2876)%branchCT(0:0))
      call avCT(2876, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2036, nGC_2037/))

      allocate(vertices(4997)%branchCT(0:0))
      call avCT(4997, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2013/))

      allocate(vertices(2483)%branchCT(0:0))
      call avCT(2483, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1984/))

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1968/))

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2028/))

      allocate(vertices(461)%branchCT(0:0))
      call avCT(461, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(463)%branchCT(0:1))
      call avCT(463, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1982, nGC_1982/))

      call avCT(463, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1983, nGC_1983/))

      allocate(vertices(2883)%branchCT(0:0))
      call avCT(2883, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2884)%branchCT(0:1))
      call avCT(2884, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2096, nGC_2098/))

      call avCT(2884, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2097, nGC_2099/))

      allocate(vertices(2886)%branchCT(0:0))
      call avCT(2886, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(467)%branchCT(0:1))
      call avCT(467, 0, 84, 1, 0, SFaF0, (/0, 3/), (/nGC_1933, nGC_1935/))

      call avCT(467, 1, 84, 1, 0, SFaF0, (/2, 1/), (/nGC_1934, nGC_1936/))

      allocate(vertices(1381)%branchCT(0:0))
      call avCT(1381, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(2887)%branchCT(0:0))
      call avCT(2887, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1921/))

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1939/))

      allocate(vertices(2894)%branchCT(0:0))
      call avCT(2894, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2100/))

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2274)%branchCT(0:0))
      call avCT(2274, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(481)%branchCT(0:0))
      call avCT(481, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_1969, nGC_1970,        &
      nGC_1969/))

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2852)%branchCT(0:1))
      call avCT(2852, 0, 85, 1, 0, VFFa1, (/0, 3/), (/nGC_1962/))

      call avCT(2852, 1, 85, 1, 0, VFFa1, (/2, 1/), (/nGC_1963/))

      allocate(vertices(4418)%branchCT(0:0))
      call avCT(4418, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2900)%branchCT(0:0))
      call avCT(2900, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(3744)%branchCT(0:0))
      call avCT(3744, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2874)%branchCT(0:0))
      call avCT(2874, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(880)%branchCT(0:0))
      call avCT(880, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2885)%branchCT(0:0))
      call avCT(2885, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2904)%branchCT(0:0))
      call avCT(2904, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2905)%branchCT(0:0))
      call avCT(2905, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2906)%branchCT(0:0))
      call avCT(2906, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(632)%branchCT(0:0))
      call avCT(632, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(2907)%branchCT(0:0))
      call avCT(2907, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4998)%branchCT(0:0))
      call avCT(4998, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2102/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(2911)%branchCT(0:0))
      call avCT(2911, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1985/))

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2913)%branchCT(0:1))
      call avCT(2913, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2104, nGC_2106/))

      call avCT(2913, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2105, nGC_2107/))

      allocate(vertices(1052)%branchCT(0:0))
      call avCT(1052, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2958)%branchCT(0:0))
      call avCT(2958, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1995/))

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(2917)%branchCT(0:0))
      call avCT(2917, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2973)%branchCT(0:0))
      call avCT(2973, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1895/))

      allocate(vertices(1982)%branchCT(0:0))
      call avCT(1982, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(4741)%branchCT(0:0))
      call avCT(4741, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1897/))

      allocate(vertices(3247)%branchCT(0:0))
      call avCT(3247, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(507)%branchCT(0:0))
      call avCT(507, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1926/))

      allocate(vertices(3422)%branchCT(0:0))
      call avCT(3422, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3008)%branchCT(0:0))
      call avCT(3008, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2081)%branchCT(0:0))
      call avCT(2081, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1924/))

      allocate(vertices(2924)%branchCT(0:1))
      call avCT(2924, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2108, nGC_2110/))

      call avCT(2924, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2109, nGC_2111/))

      allocate(vertices(2925)%branchCT(0:0))
      call avCT(2925, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2927)%branchCT(0:0))
      call avCT(2927, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1994/))

      allocate(vertices(510)%branchCT(0:0))
      call avCT(510, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1944/))

      allocate(vertices(2929)%branchCT(0:0))
      call avCT(2929, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1910/))

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4784)%branchCT(0:1))
      call avCT(4784, 0, 86, 1, 0, FaSF0, (/0, 3/), (/nGC_2112, nGC_2114/))

      call avCT(4784, 1, 86, 1, 0, FaSF0, (/2, 1/), (/nGC_2113, nGC_2115/))

      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3331)%branchCT(0:5))
      call avCT(3331, 0, 67, 7, 0, VUaVU0, (/4, 0/), (/nGC_2116/))

      call avCT(3331, 1, 66, 7, 0, VUaVU0, (/4, 0/), (/nGC_2116/))

      call avCT(3331, 2, 69, 6, 0, VUaVU0, (/4, 0/), (/nGC_2117/))

      call avCT(3331, 3, 70, 6, 0, VUaVU0, (/4, 0/), (/nGC_2117/))

      call avCT(3331, 4, 68, 7, 0, VUaVU0, (/4, 0/), (/nGC_2116/))

      call avCT(3331, 5, 65, 7, 0, VUaVU0, (/4, 0/), (/nGC_2116/))

      allocate(vertices(4999)%branchCT(0:0))
      call avCT(4999, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2008/))

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2935)%branchCT(0:0))
      call avCT(2935, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3084)%branchCT(0:0))
      call avCT(3084, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(1284)%branchCT(0:0))
      call avCT(1284, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1914/))

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2118, nGC_2118/))

      allocate(vertices(2939)%branchCT(0:0))
      call avCT(2939, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3102)%branchCT(0:0))
      call avCT(3102, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2119/))

    end subroutine fill_vertices_mdl7
end module vertices_info7
