!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_1698) = coupl(nGC_1103)*dyb_QED1_QCD2
      coupl(nGC_1699) = coupl(nGC_1148)*dydo_QED3 + coupl(nGC_1149)*da_QED2
      coupl(nGC_1690) = -cima*dyb_QED1_QCD2
      coupl(nGC_1691) = cima*dyt_QED3
      coupl(nGC_1692) = cima*dyt_QED1_QCD2
      coupl(nGC_1695) = coupl(nGC_1102)*dys_QED3
      coupl(nGC_1696) = coupl(nGC_1102)*dys_QED1_QCD2
      coupl(nGC_1697) = coupl(nGC_1103)*dyb_QED3
      coupl(nGC_1988) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1989) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_1986) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_1982) = coupl(nGC_1731) + coupl(nGC_199)*dZHh_QED2/2d0 + coupl(&
                        nGC_199)*dZcL_QED2/2d0 + coupl(nGC_199)*dZcR_QED2/2d0  &
                         + coupl(nGC_200)*dZHlHh_QED2/2d0
      coupl(nGC_1435) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(     &
                        nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1436) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_223)**2d0 - coupl(nGC_224)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_557)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1347) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_195) + Nc* &
                        coupl(nGC_197)*coupl(nGC_199) - Nc*coupl(nGC_201)*coupl&
                        (nGC_203) - Nc*coupl(nGC_213)*coupl(nGC_215) + Nc*coupl&
                        (nGC_217)*coupl(nGC_219) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_227) - coupl(nGC_205)*coupl(nGC_207) - coupl(      &
                        nGC_209)*coupl(nGC_211) - coupl(nGC_221)*coupl(nGC_223 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1344) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_196) + 2d0*Nc&
                        *cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_220) + 2d0&
                        *Nc*cMB*coupl(nGC_196)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_197)**2d0*coupl(nGC_200) + 2d0*Nc*cMC*coupl(&
                        nGC_197)*coupl(nGC_213)*coupl(nGC_216) + 2d0*Nc*cMC*   &
                        coupl(nGC_200)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_201)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl(nGC_201&
                        )*coupl(nGC_225)*coupl(nGC_228) + 2d0*Nc*cMD*coupl(    &
                        nGC_204)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197&
                        )**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(nGC_197)*coupl&
                        (nGC_200)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)** &
                        2d0*coupl(nGC_216) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*   &
                        coupl(nGC_220) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**  &
                        2d0*coupl(nGC_220) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*   &
                        coupl(nGC_228) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(      &
                        nGC_204)*coupl(nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**  &
                        2d0*coupl(nGC_228) + 2d0*cME*coupl(nGC_205)**2d0*coupl(&
                        nGC_208) + 2d0*cMM*coupl(nGC_209)**2d0*coupl(nGC_212   &
                        ) + 2d0*cMTA*coupl(nGC_221)**2d0*coupl(nGC_224) + 4d0* &
                        cima*coupl(nGC_120)*coupl(nGC_166) + cima*coupl(nGC_141&
                        )*coupl(nGC_177) + 4d0*cima*coupl(nGC_154)*coupl(nGC_28&
                        ) + 2d0*cima*coupl(nGC_164)*coupl(nGC_71))/(16d0*pi**  &
                        2d0)
      coupl(nGC_1345) = (Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 + Nc*coupl(     &
                        nGC_122)*coupl(nGC_201)**2d0 + Nc*coupl(nGC_122)*coupl(&
                        nGC_213)**2d0 - Nc*coupl(nGC_123)*coupl(nGC_197)**2d0  &
                         - Nc*coupl(nGC_123)*coupl(nGC_217)**2d0 - Nc*coupl(   &
                        nGC_123)*coupl(nGC_225)**2d0 + Nc*coupl(nGC_125)*coupl(&
                        nGC_197)**2d0 + Nc*coupl(nGC_125)*coupl(nGC_217)**2d0  &
                         + Nc*coupl(nGC_125)*coupl(nGC_225)**2d0 - Nc*coupl(   &
                        nGC_126)*coupl(nGC_193)**2d0 - Nc*coupl(nGC_126)*coupl(&
                        nGC_201)**2d0 - Nc*coupl(nGC_126)*coupl(nGC_213)**2d0  &
                         + coupl(nGC_124)*coupl(nGC_205)**2d0 + coupl(nGC_124)*&
                        coupl(nGC_209)**2d0 + coupl(nGC_124)*coupl(nGC_221)**  &
                        2d0 - coupl(nGC_129)*coupl(nGC_205)**2d0 - coupl(      &
                        nGC_129)*coupl(nGC_209)**2d0 - coupl(nGC_129)*coupl(   &
                        nGC_221)**2d0)/(24d0*pi**2d0)
      coupl(nGC_1348) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_196) + Nc* &
                        coupl(nGC_197)*coupl(nGC_200) - Nc*coupl(nGC_201)*coupl&
                        (nGC_204) - Nc*coupl(nGC_213)*coupl(nGC_216) + Nc*coupl&
                        (nGC_217)*coupl(nGC_220) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_228) - coupl(nGC_205)*coupl(nGC_208) - coupl(      &
                        nGC_209)*coupl(nGC_212) - coupl(nGC_221)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1438) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*    &
                        coupl(nGC_203)*coupl(nGC_225) - coupl(nGC_226)**2d0*   &
                        coupl(nGC_227) - coupl(nGC_227)**3d0 - coupl(nGC_227)* &
                        coupl(nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1439) = coupl(nGC_19)**2d0*coupl(nGC_227)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_228_Hl) = -coupl(nGC_228)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1266) = cima*(Nc*coupl(nGC_195)**2d0 + Nc*coupl(nGC_199)**2d0  &
                         + Nc*coupl(nGC_203)**2d0 + Nc*coupl(nGC_215)**2d0 + Nc&
                        *coupl(nGC_219)**2d0 + Nc*coupl(nGC_227)**2d0 + coupl( &
                        nGC_207)**2d0 + coupl(nGC_211)**2d0 + coupl(nGC_223)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2181) = -coupl(nGC_130)*dZHhHl_QED2/2d0 - coupl(nGC_136)*      &
                        dZHl_QED2/2d0 - coupl(nGC_136)*dZZ_QED2/2d0 - coupl(   &
                        nGC_1767)
      coupl(nGC_2182) = coupl(nGC_1713) + coupl(nGC_221)*dZnu_tauL_QED2/2d0 +  &
                        coupl(nGC_221)*dZtauMinusR_QED2/2d0
      coupl(nGC_2184) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_2186) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_2189) = coupl(nGC_1699) + coupl(nGC_203)*dZHh_QED2/2d0 + coupl(&
                        nGC_203)*dZdL_QED2/2d0 + coupl(nGC_203)*dZdR_QED2/2d0  &
                         + coupl(nGC_204)*dZHlHh_QED2/2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1759) = coupl(nGC_925)*dcw_QED2 + coupl(nGC_926)*dsw_QED2 +    &
                        coupl(nGC_927)*dZee_QED2
      coupl(nGC_1758) = coupl(nGC_1215)*dsw_QED2 + coupl(nGC_1216)*dZee_QED2 + &
                        coupl(nGC_1217)*da_QED2
      coupl(nGC_1751) = coupl(nGC_872)*dsw_QED2 + coupl(nGC_873)*dZee_QED2 +   &
                        coupl(nGC_874)*da_QED2
      coupl(nGC_1750) = coupl(nGC_1244)*dsw_QED2 + coupl(nGC_1245)*dZee_QED2
      coupl(nGC_1753) = coupl(nGC_1003)*dsw_QED2 + coupl(nGC_1004)*dZee_QED2
      coupl(nGC_1752) = coupl(nGC_934)*dsw_QED2 + coupl(nGC_935)*dZee_QED2 +   &
                        coupl(nGC_936)*da_QED2
      coupl(nGC_1755) = coupl(nGC_1036)*dcw_QED2 + coupl(nGC_1037)*dsw_QED2 +  &
                        coupl(nGC_1038)*dZee_QED2
      coupl(nGC_1754) = coupl(nGC_1009)*dsw_QED2 + coupl(nGC_1010)*dZee_QED2
      coupl(nGC_1757) = coupl(nGC_1239)*dsw_QED2 + coupl(nGC_1240)*dZee_QED2 + &
                        coupl(nGC_1241)*da_QED2
      coupl(nGC_1756) = coupl(nGC_957)*dsw_QED2 + coupl(nGC_958)*dZee_QED2 +   &
                        coupl(nGC_959)*da_QED2
      coupl(nGC_1533) = sq2**3d0*(Nc*cima*coupl(nGC_619)**3d0 - 12d0*coupl(    &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_1532) = sq2**3d0*(-Nc*cima*coupl(nGC_619)**3d0 + 12d0*coupl(   &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_1924) = coupl(nGC_114)*dZAZ_QED2/2d0 + coupl(nGC_1771) + coupl(&
                        nGC_83)*dZWMinus_QED2/2d0 + coupl(nGC_83)*dZZ_QED2/2d0
      coupl(nGC_1921) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZnu_tauL_QED2/2d0 + coupl(nGC_99)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_2256) = -coupl(nGC_1348)
      coupl(nGC_TS_GC_211_Hh) = -coupl(nGC_211)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_29_Hl) = -coupl(nGC_29)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1929) = coupl(nGC_1695) + coupl(nGC_214)*dZsL_QED2/2d0 + coupl(&
                        nGC_214)*dZsR_QED2/2d0
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1583) = cima*(20d0*Nc*coupl(nGC_195)**4d0 + 20d0*Nc*coupl(     &
                        nGC_199)**4d0 + 20d0*Nc*coupl(nGC_203)**4d0 + 20d0*Nc* &
                        coupl(nGC_215)**4d0 + 20d0*Nc*coupl(nGC_219)**4d0 +    &
                        20d0*Nc*coupl(nGC_227)**4d0 + 3d0*coupl(nGC_145)**2d0  &
                         + 20d0*coupl(nGC_207)**4d0 + 20d0*coupl(nGC_211)**4d0 &
                         + 20d0*coupl(nGC_223)**4d0 + 6d0*coupl(nGC_82)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_1586) = cima*(20d0*Nc*coupl(nGC_195)**3d0*coupl(nGC_196) + 20d0&
                        *Nc*coupl(nGC_199)**3d0*coupl(nGC_200) + 20d0*Nc*coupl(&
                        nGC_203)**3d0*coupl(nGC_204) + 20d0*Nc*coupl(nGC_215)**&
                        3d0*coupl(nGC_216) + 20d0*Nc*coupl(nGC_219)**3d0*coupl(&
                        nGC_220) + 20d0*Nc*coupl(nGC_227)**3d0*coupl(nGC_228   &
                        ) + 3d0*coupl(nGC_145)*coupl(nGC_147) + 20d0*coupl(    &
                        nGC_207)**3d0*coupl(nGC_208) + 20d0*coupl(nGC_211)**3d0&
                        *coupl(nGC_212) + 20d0*coupl(nGC_223)**3d0*coupl(      &
                        nGC_224) + 6d0*coupl(nGC_82)*coupl(nGC_92))/(16d0*pi** &
                        2d0)
      coupl(nGC_1587) = cima*(20d0*Nc*coupl(nGC_195)**2d0*coupl(nGC_196)**2d0  &
                         + 20d0*Nc*coupl(nGC_199)**2d0*coupl(nGC_200)**2d0 +   &
                        20d0*Nc*coupl(nGC_203)**2d0*coupl(nGC_204)**2d0 + 20d0*&
                        Nc*coupl(nGC_215)**2d0*coupl(nGC_216)**2d0 + 20d0*Nc*  &
                        coupl(nGC_219)**2d0*coupl(nGC_220)**2d0 + 20d0*Nc*coupl&
                        (nGC_227)**2d0*coupl(nGC_228)**2d0 + coupl(nGC_145)*   &
                        coupl(nGC_151) + 2d0*coupl(nGC_147)**2d0 + 20d0*coupl( &
                        nGC_207)**2d0*coupl(nGC_208)**2d0 + 20d0*coupl(nGC_211 &
                        )**2d0*coupl(nGC_212)**2d0 + 20d0*coupl(nGC_223)**2d0* &
                        coupl(nGC_224)**2d0 + 2d0*coupl(nGC_82)*coupl(nGC_96   &
                        ) + 4d0*coupl(nGC_92)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1589) = cima*(20d0*Nc*coupl(nGC_195)*coupl(nGC_196)**3d0 + 20d0&
                        *Nc*coupl(nGC_199)*coupl(nGC_200)**3d0 + 20d0*Nc*coupl(&
                        nGC_203)*coupl(nGC_204)**3d0 + 20d0*Nc*coupl(nGC_215)* &
                        coupl(nGC_216)**3d0 + 20d0*Nc*coupl(nGC_219)*coupl(    &
                        nGC_220)**3d0 + 20d0*Nc*coupl(nGC_227)*coupl(nGC_228)**&
                        3d0 + 3d0*coupl(nGC_147)*coupl(nGC_151) + 20d0*coupl(  &
                        nGC_207)*coupl(nGC_208)**3d0 + 20d0*coupl(nGC_211)*    &
                        coupl(nGC_212)**3d0 + 20d0*coupl(nGC_223)*coupl(nGC_224&
                        )**3d0 + 6d0*coupl(nGC_92)*coupl(nGC_96))/(16d0*pi**2d0&
                        )
      coupl(nGC_2005) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_1922) = -coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_1403) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_222) -    &
                        coupl(nGC_222)**2d0*coupl(nGC_557) + 8d0*coupl(nGC_222 &
                        )*coupl(nGC_4)**2d0 - coupl(nGC_223)**2d0*coupl(nGC_557&
                        ) - coupl(nGC_224)**2d0*coupl(nGC_557))/(32d0*pi**2d0)
      coupl(nGC_1402) = coupl(nGC_19)**2d0*coupl(nGC_218)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1404) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_557) -    &
                        coupl(nGC_222)*coupl(nGC_223)**2d0 - coupl(nGC_222)*   &
                        coupl(nGC_224)**2d0 - coupl(nGC_222)*coupl(nGC_557)**  &
                        2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_557))/(32d0*pi** &
                        2d0)
      coupl(nGC_1409) = 3d0*(4d0*Nc*cMB*coupl(nGC_195)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_199)**3d0 + 4d0*Nc*cMD*coupl(nGC_203)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_215)**3d0 + 4d0*Nc*cMT*coupl(nGC_219)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_227)**3d0 + 4d0*cME*coupl(  &
                        nGC_207)**3d0 + 4d0*cMM*coupl(nGC_211)**3d0 + 4d0*cMTA*&
                        coupl(nGC_223)**3d0 + cima*coupl(nGC_145)*coupl(nGC_175&
                        ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_82))/(16d0*pi**  &
                        2d0)
      coupl(nGC_1408) = coupl(nGC_19)**2d0*coupl(nGC_226)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_130_Hh) = -coupl(nGC_130)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_207_Hh) = -coupl(nGC_207)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1325) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1322) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1328) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_206)*&
                        coupl(nGC_539) + coupl(nGC_207)**2d0 + coupl(nGC_208)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1329) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_206)*&
                        coupl(nGC_4)*coupl(nGC_539) + coupl(nGC_207)**2d0*coupl&
                        (nGC_4) + coupl(nGC_208)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_TS_GC_82_Hh) = -coupl(nGC_82)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2109) = coupl(nGC_1692) + coupl(nGC_217)*dZbL_QCD2/2d0 + coupl(&
                        nGC_217)*dZtR_QCD2/2d0
      coupl(nGC_2108) = coupl(nGC_1691) + coupl(nGC_217)*dZbL_QED2/2d0 + coupl(&
                        nGC_217)*dZtR_QED2/2d0
      coupl(nGC_1718) = coupl(nGC_1027)*dym_QED3 + coupl(nGC_1028)*da_QED2
      coupl(nGC_1715) = coupl(nGC_1005)*dym_QED3
      coupl(nGC_1714) = coupl(nGC_1002)*dye_QED3
      coupl(nGC_1717) = coupl(nGC_1116)*dye_QED3 + coupl(nGC_1117)*da_QED2
      coupl(nGC_1716) = coupl(nGC_792)*dytau_QED3
      coupl(nGC_2105) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_1710) = coupl(nGC_1141)*dyb_QED1_QCD2
      coupl(nGC_2107) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_2039) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZtL_QED2 &
                         + coupl(nGC_1787) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2035) = coupl(nGC_100)*dZHh_QED2/2d0 + coupl(nGC_100)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_118)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1751)
      coupl(nGC_2034) = -2d0*coupl(nGC_1764) - 4d0*coupl(nGC_72)*dZWMinus_QED2
      coupl(nGC_2037) = -coupl(nGC_1716) - coupl(nGC_222)*dZtauMinusL_QED2/2d0 &
                         - coupl(nGC_222)*dZtauMinusR_QED2/2d0
      coupl(nGC_2036) = coupl(nGC_1716) + coupl(nGC_222)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_222)*dZtauMinusR_QED2/2d0
      coupl(nGC_2031) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZeMinusR_QED2 + coupl(nGC_1792) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_2030) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZeMinusL_QED2 + coupl(nGC_1768) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_2033) = coupl(nGC_1764) + 2d0*coupl(nGC_72)*dZWMinus_QED2
      coupl(nGC_2214) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2217) = coupl(nGC_130)*dZHh_QED2/2d0 + coupl(nGC_130)*dZZ_QED2/&
                        2d0 + coupl(nGC_136)*dZHlHh_QED2/2d0 + coupl(nGC_1766)
      coupl(nGC_2210) = coupl(nGC_1859) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0 + coupl(        &
                        nGC_TS_GC_223_Hh) + coupl(nGC_TS_GC_224_Hl)
      coupl(nGC_2212) = coupl(nGC_1873) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                        nGC_TS_GC_162_Hh) + coupl(nGC_TS_GC_164_Hl)
      coupl(nGC_1669) = coupl(nGC_1108)*dsw_QED2 + coupl(nGC_1109)*dZee_QED2 + &
                        coupl(nGC_1110)*dvev_QED1 + coupl(nGC_1111)*da_QED2
      coupl(nGC_1780) = coupl(nGC_1218)*dcw_QED2 + coupl(nGC_1219)*dsw_QED2 +  &
                        coupl(nGC_1220)*dZee_QED2 + coupl(nGC_1221)*dvev_QED1  &
                         + coupl(nGC_1222)*da_QED2
      coupl(nGC_1781) = coupl(nGC_1170)*dcw_QED2 + coupl(nGC_1171)*dsw_QED2 +  &
                        coupl(nGC_1172)*dZee_QED2
      coupl(nGC_1661) = coupl(nGC_1192)*dcw_QED2 + coupl(nGC_1193)*dsw_QED2 +  &
                        coupl(nGC_1194)*dZee_QED2 + coupl(nGC_1195)*dvev_QED1  &
                         + coupl(nGC_1196)*da_QED2
      coupl(nGC_2194) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuR_QCD2
      coupl(nGC_2195) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_1665) = coupl(nGC_1208)*dcw_QED2 + coupl(nGC_1209)*dsw_QED2 +  &
                        coupl(nGC_1210)*dZee_QED2 + coupl(nGC_1211)*dvev_QED1  &
                         + coupl(nGC_1212)*da_QED2
      coupl(nGC_2193) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_1667) = coupl(nGC_335)*da_QED2 + coupl(nGC_337)*dvevs_QED1 +   &
                        coupl(nGC_339)*dvev_QED1 + coupl(nGC_341)*dl2_QED4 +   &
                        coupl(nGC_343)*dl3_QED4 + coupl(nGC_345)*dl1_QED4
      coupl(nGC_2191) = coupl(nGC_130)*dZHhHl_QED2/2d0 + coupl(nGC_136)*       &
                        dZHl_QED2/2d0 + coupl(nGC_136)*dZZ_QED2/2d0 + coupl(   &
                        nGC_1767)
      coupl(nGC_1881) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsR_QCD2
      coupl(nGC_1471) = coupl(nGC_19)**2d0*coupl(nGC_99)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_118_Hl) = -coupl(nGC_118)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2227) = coupl(nGC_1862) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0 + coupl(nGC_TS_GC_199_Hh) + coupl&
                        (nGC_TS_GC_200_Hl)
      coupl(nGC_1913) = coupl(nGC_145)*dZHhHl_QED2/2d0 + coupl(nGC_147)*       &
                        dZHh_QED2/2d0 + coupl(nGC_147)*dZHl_QED2/2d0 + coupl(  &
                        nGC_147)*dZZ_QED2 + coupl(nGC_151)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1777)
      coupl(nGC_1912) = -coupl(nGC_1674)/2d0 - coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_1911) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_115)*dZZA_QED2 +    &
                        coupl(nGC_1672)
      coupl(nGC_1910) = coupl(nGC_104)*dZZA_QED2/4d0 + coupl(nGC_1674)/2d0 +   &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_1448) = coupl(nGC_19)**2d0*coupl(nGC_200)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1508) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_619) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_1569) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_195)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_215)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_199)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_227&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_199)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_219&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_195)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_199)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_215&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_227)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_110)*coupl(nGC_113) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_207)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_211)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_211)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_211)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_223)*coupl(nGC_99) + 6d0*cima*coupl(nGC_15)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                        (nGC_15) + 6d0*coupl(nGC_103)*coupl(nGC_110)*coupl(    &
                        nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1305) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1562) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)**2d0  &
                         + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219)**2d0 +   &
                        20d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217)*  &
                        coupl(nGC_219) + 10d0*Nc*coupl(nGC_195)**2d0*coupl(    &
                        nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_199)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_215)**2d0 + 20d0*Nc*coupl(nGC_197)*coupl(nGC_199)* &
                        coupl(nGC_213)*coupl(nGC_215) + 10d0*Nc*coupl(nGC_199  &
                        )**2d0*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)**  &
                        2d0*coupl(nGC_203)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0* &
                        coupl(nGC_227)**2d0 + 20d0*Nc*coupl(nGC_201)*coupl(    &
                        nGC_203)*coupl(nGC_225)*coupl(nGC_227) + 10d0*Nc*coupl(&
                        nGC_203)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(     &
                        nGC_213)**2d0*coupl(nGC_215)**2d0 + 10d0*Nc*coupl(     &
                        nGC_217)**2d0*coupl(nGC_219)**2d0 + 10d0*Nc*coupl(     &
                        nGC_225)**2d0*coupl(nGC_227)**2d0 + 12d0*coupl(nGC_110 &
                        )**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_145) + 12d0*coupl&
                        (nGC_15)**2d0 + 10d0*coupl(nGC_205)**2d0*coupl(nGC_207 &
                        )**2d0 + 10d0*coupl(nGC_209)**2d0*coupl(nGC_211)**2d0  &
                         + 10d0*coupl(nGC_221)**2d0*coupl(nGC_223)**2d0 + 6d0* &
                        coupl(nGC_71)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_1563) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)*coupl(&
                        nGC_196) + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219)* &
                        coupl(nGC_220) + 10d0*Nc*coupl(nGC_193)*coupl(nGC_195)*&
                        coupl(nGC_217)*coupl(nGC_220) + 10d0*Nc*coupl(nGC_193)*&
                        coupl(nGC_196)*coupl(nGC_217)*coupl(nGC_219) + 10d0*Nc*&
                        coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_217)**2d0 +    &
                        10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_199)*coupl(      &
                        nGC_200) + 10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_215)* &
                        coupl(nGC_216) + 10d0*Nc*coupl(nGC_197)*coupl(nGC_199)*&
                        coupl(nGC_213)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_197)*&
                        coupl(nGC_200)*coupl(nGC_213)*coupl(nGC_215) + 10d0*Nc*&
                        coupl(nGC_199)*coupl(nGC_200)*coupl(nGC_213)**2d0 +    &
                        10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_203)*coupl(      &
                        nGC_204) + 10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_227)* &
                        coupl(nGC_228) + 10d0*Nc*coupl(nGC_201)*coupl(nGC_203)*&
                        coupl(nGC_225)*coupl(nGC_228) + 10d0*Nc*coupl(nGC_201)*&
                        coupl(nGC_204)*coupl(nGC_225)*coupl(nGC_227) + 10d0*Nc*&
                        coupl(nGC_203)*coupl(nGC_204)*coupl(nGC_225)**2d0 +    &
                        10d0*Nc*coupl(nGC_213)**2d0*coupl(nGC_215)*coupl(      &
                        nGC_216) + 10d0*Nc*coupl(nGC_217)**2d0*coupl(nGC_219)* &
                        coupl(nGC_220) + 10d0*Nc*coupl(nGC_225)**2d0*coupl(    &
                        nGC_227)*coupl(nGC_228) + 12d0*coupl(nGC_110)*coupl(   &
                        nGC_120) + 3d0*coupl(nGC_141)*coupl(nGC_147) + 12d0*   &
                        coupl(nGC_15)*coupl(nGC_28) + 10d0*coupl(nGC_205)**2d0*&
                        coupl(nGC_207)*coupl(nGC_208) + 10d0*coupl(nGC_209)**  &
                        2d0*coupl(nGC_211)*coupl(nGC_212) + 10d0*coupl(nGC_221 &
                        )**2d0*coupl(nGC_223)*coupl(nGC_224) + 6d0*coupl(nGC_71&
                        )*coupl(nGC_92))/(48d0*pi**2d0)
      coupl(nGC_1560) = cima*(5d0*Nc*coupl(nGC_193)**4d0 + 5d0*Nc*coupl(nGC_197&
                        )**4d0 + 5d0*Nc*coupl(nGC_201)**4d0 + 5d0*Nc*coupl(    &
                        nGC_213)**4d0 + 5d0*Nc*coupl(nGC_217)**4d0 + 5d0*Nc*   &
                        coupl(nGC_225)**4d0 + 3d0*coupl(nGC_10)**2d0 + 6d0*    &
                        coupl(nGC_134)**2d0 + 3d0*coupl(nGC_141)**2d0 + 5d0*   &
                        coupl(nGC_205)**4d0 + 5d0*coupl(nGC_209)**4d0 + 5d0*   &
                        coupl(nGC_221)**4d0 + 6d0*coupl(nGC_71)**2d0)/(24d0*pi &
                        **2d0)
      coupl(nGC_TS_GC_147_Hl) = -coupl(nGC_147)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_147_Hh) = -coupl(nGC_147)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1964) = coupl(nGC_1668) + 3d0*coupl(nGC_190)*dZHl_QED2/2d0 +   &
                        3d0*coupl(nGC_192)*dZHhHl_QED2/2d0 + coupl(            &
                        nGC_TS_GC_32_Hh) + coupl(nGC_TS_GC_34_Hl)
      coupl(nGC_1969) = -coupl(nGC_116)*dZAZ_QED2/2d0 + coupl(nGC_1781) + coupl&
                        (nGC_84)*dZWMinus_QED2 + coupl(nGC_84)*dZZ_QED2
      coupl(nGC_1732) = coupl(nGC_1223)*dyc_QED1_QCD2
      coupl(nGC_1289) = cMC*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1288) = cima*(-coupl(nGC_126)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1287) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_1286) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1285) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1284) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_125)**2d0 - coupl(&
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1283) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_1369) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl(  &
                        nGC_194)*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_195 &
                        )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196)*coupl(&
                        nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2129) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1360) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(  &
                        nGC_201)*coupl(nGC_202)*coupl(nGC_226) - coupl(nGC_201 &
                        )*coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl(&
                        nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_2128) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2
      coupl(nGC_TS_GC_220_Hl) = -coupl(nGC_220)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2125) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_2123) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_2122) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2
      coupl(nGC_1635) = coupl(nGC_809)*dcw_QED2 + coupl(nGC_810)*dZee_QED2 +   &
                        coupl(nGC_811)*da_QED2
      coupl(nGC_TS_GC_117_Hl) = -coupl(nGC_117)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1746) = coupl(nGC_833)*dsw_QED2 + coupl(nGC_834)*dZee_QED2
      coupl(nGC_1744) = coupl(nGC_943)*dsw_QED2 + coupl(nGC_944)*dZee_QED2 +   &
                        coupl(nGC_945)*da_QED2
      coupl(nGC_1745) = coupl(nGC_1132)*dsw_QED2 + coupl(nGC_1133)*dZee_QED2 + &
                        coupl(nGC_1134)*dvev_QED1
      coupl(nGC_1742) = coupl(nGC_916)*dcw_QED2 + coupl(nGC_917)*dsw_QED2 +    &
                        coupl(nGC_918)*dZee_QED2
      coupl(nGC_1743) = coupl(nGC_859)*dsw_QED2 + coupl(nGC_860)*dZee_QED2 +   &
                        coupl(nGC_861)*da_QED2
      coupl(nGC_1740) = coupl(nGC_381)*dyt_QED1_QCD2
      coupl(nGC_1624) = (cima*coupl(nGC_609)**2d0 - cima*coupl(nGC_619)**4d0*  &
                        sq2**4d0 - 2d0*coupl(nGC_609)*coupl(nGC_619)**2d0*sq2**&
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1626) = (3d0*Nc*cima*coupl(nGC_20)**2d0 + 3d0*Nc*cima*coupl(   &
                        nGC_543)**2d0 - Nc*cima*coupl(nGC_619)**4d0*sq2**4d0 - &
                        6d0*Nc*coupl(nGC_20)*coupl(nGC_619)**2d0*sq2**2d0 + 9d0&
                        *cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1620) = cima*sq2**4d0*(-Nc*coupl(nGC_619)**4d0 - 15d0*coupl(   &
                        nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_1623) = (cima*coupl(nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*coupl&
                        (nGC_543) + cima*coupl(nGC_543)**2d0 - cima*coupl(     &
                        nGC_619)**4d0*sq2**4d0 - 2d0*coupl(nGC_20)*coupl(      &
                        nGC_619)**2d0*sq2**2d0 - 2d0*coupl(nGC_543)*coupl(     &
                        nGC_619)**2d0*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_1749) = coupl(nGC_1051)*dZee_QED2
      coupl(nGC_1889) = coupl(nGC_1758) + coupl(nGC_92)*dZHhHl_QED2 + coupl(   &
                        nGC_96)*dZHl_QED2 + coupl(nGC_96)*dZWMinus_QED2
      coupl(nGC_1619) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +     &
                        coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_1709) = coupl(nGC_1141)*dyb_QED3 + coupl(nGC_1142)*da_QED2
      coupl(nGC_1957) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZdL_QED2 + coupl(nGC_1790)
      coupl(nGC_1489) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_206)*coupl(     &
                        nGC_539) + coupl(nGC_128)*coupl(nGC_207)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_208)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_205)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2095) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_134)*dZZA_QED2 +    &
                        coupl(nGC_1672)
      coupl(nGC_2066) = coupl(nGC_1733) + coupl(nGC_219)*dZHh_QED2/2d0 + coupl(&
                        nGC_219)*dZtL_QED2/2d0 + coupl(nGC_219)*dZtR_QED2/2d0  &
                         + coupl(nGC_220)*dZHlHh_QED2/2d0
      coupl(nGC_1702) = coupl(nGC_1122)*dys_QED1_QCD2
      coupl(nGC_2060) = -coupl(nGC_1725) - coupl(nGC_198)*dZcL_QED2/2d0 - coupl&
                        (nGC_198)*dZcR_QED2/2d0
      coupl(nGC_1875) = coupl(nGC_513)*dMW2_QED2
      coupl(nGC_2055) = coupl(nGC_125)*dZbL_QCD2
      coupl(nGC_1522) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_122)**2d0 + coupl(nGC_213)**2d0 + coupl(nGC_214)*  &
                        coupl(nGC_623) + coupl(nGC_215)**2d0 + coupl(nGC_216)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1523) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_619&
                        ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_1520) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_619) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_1521) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_125)**2d0 + coupl(nGC_197)**2d0 + coupl(nGC_214)*  &
                        coupl(nGC_623) + coupl(nGC_215)**2d0 + coupl(nGC_216)**&
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1526) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(    &
                        nGC_193)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(nGC_218)*&
                        coupl(nGC_585) + coupl(nGC_219)**2d0 + coupl(nGC_220)**&
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1527) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_218)*    &
                        coupl(nGC_585) + coupl(nGC_219)**2d0 + coupl(nGC_220)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1524) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl(   &
                        nGC_193)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(nGC_218)*&
                        coupl(nGC_585) - coupl(nGC_219)**2d0 - coupl(nGC_220)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1525) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_218)*   &
                        coupl(nGC_585) - coupl(nGC_219)**2d0 - coupl(nGC_220)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1481) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_194)*coupl(   &
                        nGC_587) + coupl(nGC_125)*coupl(nGC_195)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_196)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_193)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1706) = coupl(nGC_870)*dydo_QED1_QCD2
      coupl(nGC_TS_GC_196_Hl) = -coupl(nGC_196)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1529) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_225)**2d0 - coupl(nGC_226)*   &
                        coupl(nGC_581) - coupl(nGC_227)**2d0 - coupl(nGC_228)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1874) = coupl(nGC_509)*dMW2_QED2
      coupl(nGC_2052) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_tauL_QED2 + coupl(nGC_1791)
      coupl(nGC_1704) = coupl(nGC_1016)*dyb_QED1_QCD2
      coupl(nGC_2246) = coupl(nGC_1861) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_2245) = coupl(nGC_1860) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl( &
                        nGC_MU)*dZuR_QED2/2d0 + coupl(nGC_TS_GC_227_Hh) + coupl&
                        (nGC_TS_GC_228_Hl)
      coupl(nGC_2240) = coupl(nGC_1872) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                        nGC_TS_GC_175_Hh) + coupl(nGC_TS_GC_177_Hl)
      coupl(nGC_1570) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_200)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_228&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_196)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_200)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_220&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_196)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_200)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_216&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_228)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(nGC_120) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_208)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_212)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_212)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_212)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_224)*coupl(nGC_99) + 6d0*cima*coupl(nGC_28)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                        (nGC_28) + 6d0*coupl(nGC_103)*coupl(nGC_120)*coupl(    &
                        nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1932) = -coupl(nGC_1696) - coupl(nGC_214)*dZsL_QCD2/2d0 - coupl&
                        (nGC_214)*dZsR_QCD2/2d0
      coupl(nGC_1418) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) - coupl(  &
                        nGC_198)**2d0*coupl(nGC_199) - coupl(nGC_199)**3d0 +   &
                        8d0*coupl(nGC_199)*coupl(nGC_2)**2d0 - coupl(nGC_199)* &
                        coupl(nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1419) = coupl(nGC_19)**2d0*coupl(nGC_199)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1416) = coupl(nGC_19)**2d0*coupl(nGC_195)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1414) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_195)**3d0  &
                         - coupl(nGC_195)*coupl(nGC_196)**2d0 - coupl(nGC_195)*&
                        coupl(nGC_587)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1415) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_194)**2d0* &
                        coupl(nGC_195) - coupl(nGC_195)**3d0 - coupl(nGC_195)* &
                        coupl(nGC_196)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1410) = (12d0*Nc*cMB*coupl(nGC_195)**2d0*coupl(nGC_196) + 12d0*&
                        Nc*cMC*coupl(nGC_199)**2d0*coupl(nGC_200) + 12d0*Nc*cMD&
                        *coupl(nGC_203)**2d0*coupl(nGC_204) + 12d0*Nc*cMS*coupl&
                        (nGC_215)**2d0*coupl(nGC_216) + 12d0*Nc*cMT*coupl(     &
                        nGC_219)**2d0*coupl(nGC_220) + 12d0*Nc*cMU*coupl(      &
                        nGC_227)**2d0*coupl(nGC_228) + 12d0*cME*coupl(nGC_207  &
                        )**2d0*coupl(nGC_208) + 12d0*cMM*coupl(nGC_211)**2d0*  &
                        coupl(nGC_212) + 12d0*cMTA*coupl(nGC_223)**2d0*coupl(  &
                        nGC_224) + cima*coupl(nGC_145)*coupl(nGC_177) + 2d0*   &
                        cima*coupl(nGC_147)*coupl(nGC_175) + 4d0*cima*coupl(   &
                        nGC_162)*coupl(nGC_92) + 2d0*cima*coupl(nGC_164)*coupl(&
                        nGC_82))/(16d0*pi**2d0)
      coupl(nGC_1411) = (12d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_196)**2d0 + 12d0*&
                        Nc*cMC*coupl(nGC_199)*coupl(nGC_200)**2d0 + 12d0*Nc*cMD&
                        *coupl(nGC_203)*coupl(nGC_204)**2d0 + 12d0*Nc*cMS*coupl&
                        (nGC_215)*coupl(nGC_216)**2d0 + 12d0*Nc*cMT*coupl(     &
                        nGC_219)*coupl(nGC_220)**2d0 + 12d0*Nc*cMU*coupl(      &
                        nGC_227)*coupl(nGC_228)**2d0 + 12d0*cME*coupl(nGC_207)*&
                        coupl(nGC_208)**2d0 + 12d0*cMM*coupl(nGC_211)*coupl(   &
                        nGC_212)**2d0 + 12d0*cMTA*coupl(nGC_223)*coupl(nGC_224 &
                        )**2d0 + 2d0*cima*coupl(nGC_147)*coupl(nGC_177) + cima*&
                        coupl(nGC_151)*coupl(nGC_175) + 2d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_96) + 4d0*cima*coupl(nGC_164)*coupl(nGC_92 &
                        ))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_101_Hh) = -coupl(nGC_101)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2158) = coupl(nGC_100)*dZHhHl_QED2/2d0 + coupl(nGC_118)*       &
                        dZHl_QED2/2d0 + coupl(nGC_118)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_1752)
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1994) = coupl(nGC_107)*dZAZ_QED2/2d0 + coupl(nGC_13)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/2d0 + coupl(&
                        nGC_1632)
      coupl(nGC_1311) = cMU*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1310) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1313) = (Nc*coupl(nGC_1)*coupl(nGC_193)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_197)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_201)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_213)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_217)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_225)**2d0 - Nc*coupl(nGC_193)**2d0*coupl(nGC_2) -  &
                        Nc*coupl(nGC_197)**2d0*coupl(nGC_2) - Nc*coupl(nGC_2)* &
                        coupl(nGC_201)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_213)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_217)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_225)**2d0 + coupl(nGC_205)**2d0*coupl(&
                        nGC_4) + coupl(nGC_209)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_221)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_1314) = (-Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99) - Nc*cMD&
                        *coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99) - Nc*cMS*   &
                        coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99) + 2d0*cima*  &
                        coupl(nGC_113)*coupl(nGC_154) + 2d0*cima*coupl(nGC_166 &
                        )*coupl(nGC_553) + 2d0*coupl(nGC_102)*coupl(nGC_154)*  &
                        coupl(nGC_3) + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl(  &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2221) = -coupl(nGC_100)*dZHh_QED2/2d0 - coupl(nGC_100)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_118)*dZHlHh_QED2/2d0 -   &
                        coupl(nGC_1751)
      coupl(nGC_1708) = coupl(nGC_1146)*dys_QED1_QCD2
      coupl(nGC_1879) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsL_QCD2
      coupl(nGC_2058) = coupl(nGC_1725) + coupl(nGC_198)*dZcL_QED2/2d0 + coupl(&
                        nGC_198)*dZcR_QED2/2d0
      coupl(nGC_2057) = coupl(nGC_122)*dZbR_QCD2
      coupl(nGC_2056) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZbR_QED2 + coupl(nGC_1789)
      coupl(nGC_1876) = coupl(nGC_517)*dMZ2_QED2
      coupl(nGC_2054) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZbL_QED2 + coupl(nGC_1790)
      coupl(nGC_2053) = -coupl(nGC_1680)/2d0 - coupl(nGC_17)*dZg_QCD2/4d0
      coupl(nGC_1707) = coupl(nGC_1146)*dys_QED3 + coupl(nGC_1147)*da_QED2
      coupl(nGC_2051) = -coupl(nGC_103)*dZWMinus_QED2 - coupl(nGC_103)*dZZ_QED2&
                        /2d0 - coupl(nGC_1763) - coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_1736) = coupl(nGC_928)*dyup_QED1_QCD2
      coupl(nGC_1503) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_225)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_226)*coupl(nGC_581) + coupl(  &
                        nGC_126)*coupl(nGC_227)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1480) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1974) = coupl(nGC_122)*dZsR_QCD2
      coupl(nGC_1504) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_125)**2d0 + coupl(nGC_194)*coupl(nGC_587) + coupl( &
                        nGC_195)**2d0 + coupl(nGC_196)**2d0 + coupl(nGC_217)** &
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1301) = cima*coupl(nGC_619)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_2029) = coupl(nGC_1661) + coupl(nGC_174)*dZHh_QED2/2d0 + coupl(&
                        nGC_178)*dZHlHh_QED2/2d0
      coupl(nGC_2022) = coupl(nGC_116)*dZA_QED2/2d0 + coupl(nGC_116)*          &
                        dZWMinus_QED2 + coupl(nGC_116)*dZZ_QED2/2d0 + coupl(   &
                        nGC_1773) - coupl(nGC_8)*dZAZ_QED2 + coupl(nGC_85)*    &
                        dZZA_QED2/2d0
      coupl(nGC_2020) = -coupl(nGC_1746) - coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_2021) = -coupl(nGC_116)*dZA_QED2/4d0 - coupl(nGC_116)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_116)*dZZ_QED2/4d0 - coupl&
                        (nGC_1773)/2d0 + coupl(nGC_8)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_84)*dZZA_QED2/2d0
      coupl(nGC_2026) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZcL_QED2/2d0 + coupl(nGC_99)*dZsL_QED2/ &
                        2d0
      coupl(nGC_2024) = -coupl(nGC_101)*dZHhHl_QED2/2d0 - coupl(nGC_117)*      &
                        dZHl_QED2/2d0 - coupl(nGC_117)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_1748)
      coupl(nGC_1676) = coupl(nGC_894)*dcw_QED2 + coupl(nGC_895)*dsw_QED2 +    &
                        coupl(nGC_896)*dZee_QED2
      coupl(nGC_1673) = coupl(nGC_1234)*dZee_QED2
      coupl(nGC_1670) = coupl(nGC_1128)*dsw_QED2 + coupl(nGC_1129)*dZee_QED2 + &
                        coupl(nGC_1130)*dvev_QED1 + coupl(nGC_1131)*da_QED2
      coupl(nGC_1671) = coupl(nGC_1138)*dsw_QED2 + coupl(nGC_1139)*dZee_QED2 + &
                        coupl(nGC_1140)*dvev_QED1
      coupl(nGC_1944) = coupl(nGC_111)*dZHhHl_QED2/2d0 + coupl(nGC_119)*       &
                        dZHl_QED2/2d0 + coupl(nGC_1659)
      coupl(nGC_2208) = -coupl(nGC_100)*dZHhHl_QED2/2d0 - coupl(nGC_118)*      &
                        dZHl_QED2/2d0 - coupl(nGC_118)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_1752)
      coupl(nGC_1972) = coupl(nGC_125)*dZsL_QCD2
      coupl(nGC_1679) = coupl(nGC_793)*dZgs_QCD2
      coupl(nGC_1770) = coupl(nGC_1042)*dcw_QED2 + coupl(nGC_1043)*dZee_QED2 + &
                        coupl(nGC_1044)*da_QED2
      coupl(nGC_1784) = coupl(nGC_1015)*dZee_QED2
      coupl(nGC_2188) = coupl(nGC_105)*dZZA_QED2/4d0 + coupl(nGC_1673)/2d0 +   &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_1978) = coupl(nGC_1684) + coupl(nGC_225)*dZdL_QCD2/2d0 + coupl(&
                        nGC_225)*dZuR_QCD2/2d0
      coupl(nGC_2116) = coupl(nGC_1679) + coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2117) = 2d0*coupl(nGC_1679) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2110) = coupl(nGC_1689) + coupl(nGC_193)*dZbR_QED2/2d0 + coupl(&
                        nGC_193)*dZtL_QED2/2d0
      coupl(nGC_2111) = coupl(nGC_1690) + coupl(nGC_193)*dZbR_QCD2/2d0 + coupl(&
                        nGC_193)*dZtL_QCD2/2d0
      coupl(nGC_2201) = coupl(nGC_1875) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_101_Hh) - coupl(nGC_TS_GC_117_Hl)
      coupl(nGC_2118) = coupl(nGC_1718) + coupl(nGC_211)*dZHh_QED2/2d0 + coupl(&
                        nGC_211)*dZmuMinusL_QED2/2d0 + coupl(nGC_211)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_212)*dZHlHh_QED2/2d0
      coupl(nGC_2119) = -coupl(nGC_128)*dZZ_QED2/2d0 - coupl(nGC_1768) - coupl(&
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_1452) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(     &
                        nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1453) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_539)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1450) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_202)**2d0* &
                        coupl(nGC_204) - coupl(nGC_203)**2d0*coupl(nGC_204) -  &
                        coupl(nGC_204)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1907) = coupl(nGC_108)*dZAZ_QED2/2d0 + coupl(nGC_14)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl(&
                        nGC_1631)
      coupl(nGC_1456) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_196) - cMC*&
                        coupl(nGC_200) - cMD*coupl(nGC_204) - cMS*coupl(nGC_216&
                        ) - cMT*coupl(nGC_220) - cMU*coupl(nGC_228))/(16d0*pi**&
                        2d0)
      coupl(nGC_1457) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_196) + cMC* &
                        coupl(nGC_200) + cMD*coupl(nGC_204) + cMS*coupl(nGC_216&
                        ) + cMT*coupl(nGC_220) + cMU*coupl(nGC_228))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1902) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2
      coupl(nGC_1903) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_1458) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_215)**2d0* &
                        coupl(nGC_216) - coupl(nGC_216)**3d0 - coupl(nGC_216)* &
                        coupl(nGC_623)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1459) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_214)**2d0* &
                        coupl(nGC_216) - coupl(nGC_215)**2d0*coupl(nGC_216) -  &
                        coupl(nGC_216)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1908) = coupl(nGC_115)*dZAZ_QED2 + coupl(nGC_1755) + coupl(    &
                        nGC_86)*dZZ_QED2
      coupl(nGC_1909) = coupl(nGC_114)*dZZA_QED2/2d0 + coupl(nGC_1741) + coupl(&
                        nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1675) = coupl(nGC_1235)*dZee_QED2
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
